package org.rcisoft.business.applicationtrial.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import org.rcisoft.core.entity.CyIdEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.Date;


/**
 * Created with cy on 2024年4月1日 上午10:07:11.
 *
 * @author wangFeilong
 */
@Data
@TableName("tea_lesson_application")
public class ApplicationTrial extends CyIdIncreEntity<ApplicationTrial> {

    /**
     * @desc 用户类型
     * @column user_type
     * @default
     */
    @Excel(name = "用户类型", orderNum = "0", width = 20)
    private String userType;

    /**
     * @desc 申请人
     * @column applicant
     * @default
     */
    @Excel(name = "申请人", orderNum = "1", width = 20)
    private Integer applicant;

    /**
     * @desc 申请单位id
     * @column applicant_unit
     * @default
     */
    @Excel(name = "申请单位", orderNum = "2", width = 20)
    private Integer applicantUnit;

    /**
     * @desc 手机号
     * @column phone
     * @default
     */
    @Excel(name = "手机号", orderNum = "3", width = 20)
    private String phone;
    /**
     * @desc 申请时间
     * applicant_time
     */
    @Excel(name = "申请时间", orderNum = "4", width = 20)
    private Date applicantTime;

    /**
     * 申请单位名称
     */
    @TableField(exist = false)
    private String applicantUnitName;
    /**
     * 申请人名称
     */
    @TableField(exist = false)
    private String applicantName;

    @TableField(exist = false)
    private String applicantUserName;

    @TableField(exist = false)
    private String coursesNumber;

    /**
     * 申请人姓名, 登录名称, 手机号
     */
    private transient String type;
}

