package org.rcisoft.business.applicationtrial.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.applicationtrial.dto.ApplicationTrialDto;
import org.rcisoft.business.applicationtrial.entity.ApplicationTrial;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月1日 上午10:07:11.
 */
public interface ApplicationTrialService {

    /**
    * 保存 试用申请
    * @param ids
    * @return
    */
    CyPersistModel persist(String ids);

    /**
    * 删除 试用申请
    * @param applicationTrial
    * @return
    */
    CyPersistModel remove(ApplicationTrial applicationTrial);

    /**
    * 逻辑删除 试用申请
    * @param applicationTrial
    * @return
    */
    CyPersistModel removeLogical(ApplicationTrial applicationTrial);

    /**
    * 修改 试用申请
    * @param applicationTrial
    * @return
    */
    CyPersistModel merge(ApplicationTrial applicationTrial);

    /**
    * 根据id查询 试用申请
    * @param id
    * @return
    */
    ApplicationTrial findById(Integer id);

    /**
    * 分页查询 试用申请
    * @param applicationTrial
    * @return
    */
    IPage<ApplicationTrial> findAllByPagination(CyPageInfo<ApplicationTrial> paginationUtility,
              ApplicationTrial applicationTrial);


    /**
    * 查询list 试用申请
    * @param applicationTrial
    * @return
    */
    List<ApplicationTrial> findAll(ApplicationTrial applicationTrial);


    /**
    * 导出试用申请
    * @return
    */
    List<ApplicationTrial> export(ApplicationTrial applicationTrial);

}
