package org.rcisoft.business.auditlogs.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created with cy on 2024年8月8日 下午6:35:03.
 */
@Data
@TableName("audit_logs")
public class AuditLogs extends CyIdNotDataEntity<AuditLogs> {


    /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
    @Excel(name = "课程id", orderNum = "0", width = 20)
    private String lessonId;

    /**
     * @desc 审核时间
     * @column audit_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
//    @Excel(name = "审核时间", orderNum = "1", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    /**
     * @desc 审核结果
     * @column audit_state
     * @default
     */
    @Excel(name = "审核结果", orderNum = "2", width = 20)
    private String auditState;

    /**
     * @desc 审核意见
     * @column audit_opinion
     * @default
     */
    @Excel(name = "审核意见", orderNum = "3", width = 20)
    private String auditOpinion;

    /**
     * @desc 审核人id
     * @column audit_user_id
     * @default
     */
    @Excel(name = "审核人id", orderNum = "4", width = 20)
    private Integer auditUserId;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    /**
     * 审核人名称
     */
    @TableField(exist = false)
    private String auditUserName;

}

