package org.rcisoft.business.auditlogs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.auditlogs.entity.AuditLogs;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import javax.validation.Valid;
import java.util.List;

/**
 * Created by cy on 2024年8月8日 下午6:35:03.
 */
public interface AuditLogsService {

    /**
     * 保存 课程审核历史记录及意见
     *
     * @param auditLogs
     * @return
     */
    CyPersistModel persist(@Valid AuditLogs auditLogs);

    /**
     * 删除 课程审核历史记录及意见
     *
     * @param auditLogs
     * @return
     */
    CyPersistModel remove(AuditLogs auditLogs);

    /**
     * 修改 课程审核历史记录及意见
     *
     * @param auditLogs
     * @return
     */
    CyPersistModel merge(AuditLogs auditLogs);

    /**
     * 根据id查询 课程审核历史记录及意见
     *
     * @param id
     * @return
     */
    AuditLogs findById(String id);

    /**
     * 分页查询 课程审核历史记录及意见
     *
     * @param auditLogs
     * @return
     */
    IPage<AuditLogs> findAllByPagination(CyPageInfo<AuditLogs> paginationUtility,
                                         AuditLogs auditLogs);


    /**
     * 查询list 课程审核历史记录及意见
     *
     * @param auditLogs
     * @return
     */
    List<AuditLogs> findAll(AuditLogs auditLogs);


    /**
     * 导出课程审核历史记录及意见
     *
     * @return
     */
    List<AuditLogs> export(AuditLogs auditLogs);

}
