package org.rcisoft.business.bchapter.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.Range;
import org.rcisoft.business.bchapter.dao.BChapterRepository;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;


/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 */

@Data
@TableName("tea_lesson_chapter")
@NoArgsConstructor
@AllArgsConstructor
public class BChapter extends CyIdEntity<BChapter> {

    private static final long serialVersionUID = -8023388256391391541L;
    /*开课id*/
    //@NotEmpty(message = "开课id必填")
    @Length(min = 1, max = 64, message = "长度最小为1,最大为50")
    private String slId;
    /*章节名称*/
    @NotBlank
    @Length(min = 1, max = 50, message = "长度最小为1,最大为50")
    private String chapterName;
    /*等级*/
    @Range(max = 2, min = 1, message = "等级最小为1,最大为2")
    private Byte chapterLevel;
    /*父ID*/
    @Length(min = 1, max = 64, message = "长度最小为1,最大为50")
    private String pid;
    /*课程url*/
    @Length(min = 1, max = 64, message = "长度最小为1,最大为50")
    private String chapterUrl;

    /**
     * 任务书
     */
    private String mdFile;

    /*1:实验  2:视频   3:PPT*/
    //@Length(min = 1,max = 20,message = "长度最小为1,最大为15")
    private String isTest;

    /*课程或开课   0：开课   1：课程*/
    private String lessonOrSl;

    /*状态 0关闭 1开启*/
    private String state;

    /*课程ID*/
    @Length(min = 1, max = 64, message = "长度最小为1,最大为50")
    private String lessonId;

    /*课时*/
    @Length(min = 1, max = 8, message = "长度最小为1,最大为8")
    private String classHour;

    /**
     * 是否试听 0:否 1:是
     */
    private String isAudition;

    /**
     * 是否试用 0:否 1:是
     */
    private String isOnTrial;

    /*是否智评  0否  1是*/
    private String automatic;

    /*实验类型,1:java单文件 2:java工程 3:html单文件 4:html工程*/
    private String experimentType;

    /*父节点状态 0未全选 1全选*/
    private String parentNodeState;

    /*章节排序*/
    private Integer sort;

    /**
     * 备注
     */
    private String remarks;

    private transient List<BChapter> childList;

    private transient String studentNum;

    private transient String stuScore;

    private transient String isVideo;
    private transient String videoUrl;

    private transient String fileUrl;

    private transient String pptUrl;

    private transient String pdfUrl;

    /**
     * 课程的父ID(当作map的key存放开课的父ID用)
     */
    private transient String lPid;

    private transient String sPid;

    /*学生的用户ID，查询实验是否完成时用*/
    private transient String userId;

    private transient String stuId;

    private transient String isComplete;

    private transient String studentName;

    private transient String type;

    private transient String pptFinish;

    private transient String pdfFinish;

    private transient String videoFinish;

    private transient String paperFinish;

    private transient String paperUrl;

    private transient String fileName;

    /**
     * 当前章节
     */
    private transient String currentChapter;

    private transient Date uTime;

    public BChapter(String businessId) {
        this.businessId = businessId;
    }
}

