package org.rcisoft.business.bchapter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.bchapter.entity.BChapter;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月23日 上午9:54:37.
 */
public interface BChapterService {

    /**
     * 保存 章节表
     *
     * @param bChapter
     * @return
     */
    CyPersistModel persist(BChapter bChapter, String token);

    /**
     * 删除 章节表
     *
     * @param bChapter
     * @return
     */
    CyPersistModel remove(BChapter bChapter);

    /**
     * 逻辑删除 章节表
     *
     * @param bChapter
     * @return
     */
    CyPersistModel removeLogical(BChapter bChapter);

    /**
     * 修改 章节表
     *
     * @param bChapter
     * @return
     */
    CyPersistModel merge(BChapter bChapter);

    /**
     * 根据id查询 章节表
     *
     * @param id
     * @return
     */
    BChapter findById(String id);

    /**
     * 分页查询 章节表
     *
     * @param bChapter
     * @return
     */
    IPage<BChapter> findAllByPagination(CyPageInfo<BChapter> paginationUtility,
                                        BChapter bChapter);


    /**
     * 查询list 章节表
     *
     * @param bChapter
     * @return
     */
    List<BChapter> findAll(BChapter bChapter);


    /**
     * 导出章节表
     *
     * @return
     */
    List<BChapter> export(BChapter bChapter);

    List<BChapter> queryBChaptersByPagination(CyPageInfo<BChapter> paginationUtility, BChapter param);

    /**
     * 根据条件查找全部
     *
     * @param model
     * @param token
     * @return
     */
    List<BChapter> queryBChapters(BChapter model, String token);

    /**
     * 获取全部用户全部课程全部章节的最后一条学习记录
     *
     * @return
     */
    List<BChapter> getLatestLearnRecord(String userId);

    /**
     * 删除章节
     *
     * @param id
     * @param lessonOrSl
     * @return
     */
    CyPersistModel removeBChapter(String id, String lessonOrSl);

    /**
     * 章节向上调顺序
     *
     * @param bChapter
     * @return
     */
    int updateTopChapter(BChapter bChapter);

    /**
     * 章节向下调整顺序
     *
     * @param bChapter
     * @return
     */
    int updateDownChapter(BChapter bChapter);

    /**
     * 查询节信息
     *
     * @param param
     * @return
     */
    List<BChapter> querySections(BChapter param);

    BChapter getVideoUrl(String businessId);


    Object queryBChaptersWithoutAuthTeacher(BChapter param, String token);

    List<BChapter> queryBChaptersWithoutAuthWEB(BChapter param, String token);
}
