package org.rcisoft.business.bdirection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.bdirection.entity.BDirection;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.SelectModel;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 上午10:46:10.
 */
public interface BDirectionService {

    /**
    * 保存
    * @param bDirection
    * @return
    */
    CyPersistModel persist(BDirection bDirection);

    /**
    * 删除
    * @param bDirection
    * @return
    */
    CyPersistModel remove(BDirection bDirection);

    /**
    * 逻辑删除
    * @param bDirection
    * @return
    */
    CyPersistModel removeLogical(BDirection bDirection);

    /**
    * 修改
    * @param bDirection
    * @return
    */
    CyPersistModel merge(BDirection bDirection);

    /**
    * 根据id查询
    * @param id
    * @return
    */
    BDirection findById(String id);

    /**
    * 分页查询
    * @param bDirection
    * @return
    */
    IPage<BDirection> findAllByPagination(CyPageInfo<BDirection> paginationUtility,
              BDirection bDirection);


    /**
    * 查询list
    * @param bDirection
    * @return
    */
    List<BDirection> findAll(BDirection bDirection);


    /**
    * 导出
    * @return
    */
    List<BDirection> export(BDirection bDirection);

    List<SelectModel> queryDirectionsList();
}
