package org.rcisoft.business.bfile.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.bfile.entity.BFile;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月23日 上午9:54:37.
*/

public interface BFileRepository extends CyBaseMapper<BFile> {


    List<BFile> queryBFiles(@Param("entity") BFile bFile);

    /**
    * 分页查询 bFile
    *
    */
    IPage<BFile> queryBFilesPaged(CyPageInfo cyPageInfo,@Param("entity") BFile bFile);

    /**
     * 查询此节是否已有视频或文件
     * @param chapterId
     * @return
     */
    BFile selectInfoByChapterId(String chapterId);

    /**
     * 查询此节是否已有视频或文件
     * @param chapterId
     * @return
     */
    BFile selectInfoByChapterIdAndLessonId(@Param("chapterId") String chapterId,@Param("lessonId") String lessonId);

    /**
     * 查询此课程是否有课程文件
     * @param businessId
     * @return
     */
    BFile selectInfoByBLessonId(String businessId);
}

