package org.rcisoft.business.bfile.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.business.ossinfo.entity.OssInfo;
import org.rcisoft.core.entity.CyIdEntity;

import java.util.List;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 */
@Data
@TableName("tea_lesson_file")
public class BFile extends CyIdEntity<BFile> {


    /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
    @Excel(name = "课程id", orderNum = "0", width = 20)
    private String lessonId;

    /**
     * @desc 开课id
     * @column sl_id
     * @default
     */
    @Excel(name = "开课id", orderNum = "1", width = 20)
    private String slId;

    /**
     * @desc 章节id
     * @column chapter_id
     * @default
     */
    @Excel(name = "章节id", orderNum = "2", width = 20)
    private String chapterId;

    /**
     * @desc 视频地址
     * @column video_url
     * @default
     */
    @Excel(name = "视频地址", orderNum = "3", width = 20)
    private String videoUrl;

    /**
     * @desc 压缩包路径
     * @column file_url
     * @default
     */
    @Excel(name = "压缩包路径", orderNum = "4", width = 20)
    private String fileUrl;

    /**
     * @desc 视频名称
     * @column video_name
     * @default
     */
    @Excel(name = "视频名称", orderNum = "5", width = 20)
    private String videoName;

    /**
     * @desc pdf路径
     * @column pdf_url
     * @default
     */
    @Excel(name = "pdf路径", orderNum = "6", width = 20)
    private String pdfUrl;

    /**
     * @desc ppt路径
     * @column ppt_url
     * @default
     */
    @Excel(name = "ppt路径", orderNum = "7", width = 20)
    private String pptUrl;

    /**
     * @desc '0'为视频，'1'为附件
     * @column type
     * @default
     */
    @Excel(name = "'0'为视频，'1'为附件", orderNum = "8", width = 20)
    private String type;

    private transient List<OssInfo> ossInfoList;

    @TableField(exist = false)
    private Integer fileSize;

}

