package org.rcisoft.business.bfile.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.bfile.entity.BFile;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Created by cy on 2024年3月23日 上午9:54:37.
 */
public interface BFileService {

    /**
     * 保存 视频表
     *
     * @param bFile
     * @return
     */
    CyPersistModel persist(BFile bFile);

    /**
     * 删除 视频表
     *
     * @param bFile
     * @return
     */
    CyPersistModel remove(BFile bFile);

    /**
     * 逻辑删除 视频表
     *
     * @param bFile
     * @return
     */
    CyPersistModel removeLogical(BFile bFile);

    /**
     * 修改 视频表
     *
     * @param bFile
     * @return
     */
    CyPersistModel merge(BFile bFile);

    /**
     * 根据id查询 视频表
     *
     * @param id
     * @return
     */
    BFile findById(String id);

    /**
     * 分页查询 视频表
     *
     * @param bFile
     * @return
     */
    IPage<BFile> findAllByPagination(CyPageInfo<BFile> paginationUtility,
                                     BFile bFile);


    /**
     * 查询list 视频表
     *
     * @param bFile
     * @return
     */
    List<BFile> findAll(BFile bFile);


    /**
     * 导出视频表
     *
     * @return
     */
    List<BFile> export(BFile bFile);

    /**
     * 上传文件
     *
     * @param list
     * @param bFile
     * @param token
     * @return
     */
    String uploadVideoToServer(List<MultipartFile> list, BFile bFile, String temp, String token);

    /**
     * 查询视频url地址
     *
     * @param bFile
     * @param token
     * @return
     */
    BFile findVideoUrl(BFile bFile, String token);

    /**
     * 章节查询PDF信息
     *
     * @param bFile
     * @param token
     * @return
     */
    BFile findPdfInfo(BFile bFile, String token);

    /**
     * 章节查询PDF_url信息
     *
     * @param bFile
     * @param token
     * @return
     */
    BFile findPdfUrl(BFile bFile, String token);

    /**
     * 删除视频表_删除上传文件
     *
     * @param bFile
     * @return
     */
    BFile removeFile(BFile bFile, String ossId);

    /**
     * 上传课程资料
     *
     * @param list
     * @param bFile
     * @param temp
     * @param token
     * @return
     */
    String uploadDataToServer(List<MultipartFile> list, BFile bFile, String temp, String token);

    /**
     * 查询课程文件信息
     *
     * @param bFile
     * @param token
     * @return
     */
    BFile findDataUrl(BFile bFile, String token);

    /**
     * 删除课程文件
     *
     * @param bFile
     * @param ossId
     * @return
     */
    BFile removeDataFile(BFile bFile, String ossId);

    /**
     * 下载课程文件
     *
     * @param bFile
     * @param token
     * @return
     */
    Object download(BFile bFile, HttpServletResponse response, String token);

    Boolean lessonPermission(BFile bFile, String token);

    BFile findVideoUrlTeacher(BFile bFile, String token) throws Exception;
}
