package org.rcisoft.business.blesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.business.bchapter.entity.BChapter;
import org.rcisoft.business.pclessonevaluation.entity.PcLessonEvaluation;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2024年3月23日 上午9:54:37.
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExportBLesson{

    private static final long serialVersionUID = -4327021174023243830L;

    @Excel(name = "课程名称", orderNum = "0", width = 20)
    private String lessonName;
    @Excel(name = "课时数", orderNum = "1", width = 20)
    private String classHour;
    @Excel(name = "课程类型", orderNum = "2", width = 20)
    private String lessonTypeLabels;
    @Excel(name = "技术端课程方案", orderNum = "2", width = 20)
    private String classPlanLabels;
    @Excel(name = "岗位分类", orderNum = "2", width = 20)
    private String jobClassifyLabels;
    @Excel(name = "难度等级", orderNum = "2", width = 20)
    private String difficultyClassifyLabels;
    @Excel(name = "课程维度", orderNum = "2", width = 20)
    private String courseDimensionsLabels;
    @Excel(name = "智联课堂", orderNum = "2", width = 20)
    private String intelligentClassroomLabels;
    @Excel(name = "技能端课程方案", orderNum = "2", width = 20)
    private String classPlanCSchoolLabels;
    @Excel(name = "技术分类", orderNum = "2", width = 20)
    private String tecClassifyLabels;
    @Excel(name = "一句话介绍", orderNum = "6", width = 20)
    private String lessonBrief;
    @Excel(name = "课程讲师", orderNum = "7", width = 20)
    private String teacherName;
    @Excel(name = "首页显示", orderNum = "9", width = 20,replace = {"不显示_0", "显示_1"})
    private String homeDisplay;
    @Excel(name = "课程状态", orderNum = "2", width = 20,replace = {"关闭_0", "开启_1"})
    private String flag;
    @Excel(name = "精品课", orderNum = "2", width = 20,replace = {"否_0", "是_1"})
    private String qualityLesson;
    @Excel(name = "课程介绍", orderNum = "12", width = 20)
    private String lessonDescription;
    @Excel(name = "课程评分", orderNum = "12", width = 20)
    private String lessonScore;
    @Excel(name = "创建用户", orderNum = "13", width = 20)
    private String createName;
    @Excel(name = "创建时间", orderNum = "13", width = 20,format = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    @Excel(name = "是否考核", orderNum = "14", width = 20, replace = {"是_0", "否_1"})
    private String isAppraisal;
    @Excel(name = "前沿讲堂分类", orderNum = "2", width = 20)
    private String courseTypeLabels;

    private String classPlanSchool;

    private String classPlan;
    /**
     * @desc 岗位分类
     * @column job_classify
     * @default
     */
    private String jobClassify;

    /**
     * 企业课程分类
     */
    private String courseType;

    /**
     * 院校课程分类
     */
    private String courseTypeC;


    /**
     * @desc 技术分类
     * @column tec_classify
     * @default
     */
    private String tecClassify;

    /**
     * @desc 院校技术分类
     * @column tec_classify_school
     * @default
     */
    private String tecClassifySchool;

    /**
     * @desc 难度等级
     * @column difficulty_classify
     * @default
     */
    private String difficultyClassify;

    /**
     * 企业课程（0：未选择，1：已选择）
     **/
    private String lessonType;

    /**
     * 院校课程（0：未选择，1：已选择）
     **/
    private String lessonTypeSchool;

    /**
     * 企业课程维度
     */
    private String enterpriseCourseDimensions;


    /**
     * 审核状态
     */
    private String auditState;

    /**
     * 绑定讲师id
     */
    private String lecturerId;

    /**
     * 智联课堂分类
     */
    private String intelligentClassroom;



}

