package org.rcisoft.business.blesson.entity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Classname PcBLessonQuery
 * @Description PC端课程分页查询参数
 * @Date 2024/4/17 10:16
 * @Created by Dawn
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcBLessonQuery extends Page<PcBLessonQuery> {

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 角色名称
     */
    private String characterName;

    /**
     * 课程名称
     */
    private String lessonName;

    /**
     * 是否完成课程学习(0: 未完成; 1: 已完成; )
     */
    private String isCompleteLearned;

    /**
     * 学习状态（未开始、学习中、已完成）
     */
    private String learningState;

    /**
     * 是否完成课程考核(0: 未完成; 1: 已完成; )
     */
    private String isCompleteExam;

    /**
     * 是否必修(0: 否; 1: 是)
     */
    private String isObligatory;

    /**
     * 是否付费(0: 否; 1: 是)
     */
    private String isPay;

    /**
     * 是否购买(0: 未付费(试用); 1: 已付费)
     */
    private String lessonIsPay;

    /**
     * 技术分类
     */
    private String tecClassify;

    /**
     * 难度等级
     */
    private String difficultyClassify;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 小组id
     */
    private String groupId;

    /**
     * 单位id
     */
    private String unitId;

    /**
     * 课程id
     */
    private String lessonId;

    /**
     * 视图类型（0：课程；1：学员）
     */
    private String viewType;

    /**
     * 统计类型
     * {
     * 学员视图
     * plannedCourseNum 计划课程总数
     * learningCourseNum 学习中课程数
     * learnedCourseNum 已完成课程数
     * noStartedCourseNum 未开始课程数
     * beAssessingCourseNum 参与考核课程数
     * noAssessedCourseNum 未考核课程数
     * 课程视图
     * totalLearnerNum 学习总人数
     * noLearnedNum 未开始人数
     * learningNum 学习中人数
     * learnedNum 学习完成人数
     * beAssessingNum 参与考核人数
     * }
     */
    private String statisticalType;
    private List<String> isPayList;

    private String isAppraisal;

    //分页
    private Integer page;
    private Integer rows;
}
