package org.rcisoft.business.blesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
@Data
public class PcBlessonDTO extends CyIdEntity {
    /**
     * @desc 课程名称
     * @column lesson_name
     * @default
     */
    @Excel(name = "课程名称", orderNum = "0", width = 20)
    private String lessonName;

    /**
     * @desc 课时
     * @column class_hour
     * @default
     */
    @Excel(name = "课时", orderNum = "1", width = 20)
    private String classHour;

    /**
     * @desc 课程方案
     * @column class_plan
     * @default
     */
    @Excel(name = "课程方案", orderNum = "2", width = 20)
    private String classPlan;

    /**
     * @desc 岗位分类
     * @column job_classify
     * @default
     */
    @Excel(name = "岗位分类", orderNum = "3", width = 20)
    private String jobClassify;

    /**
     * @desc 技术分类
     * @column tec_classify
     * @default
     */
    @Excel(name = "技术分类", orderNum = "4", width = 20)
    private String tecClassify;

    /**
     * @desc 难度等级
     * @column difficulty_classify
     * @default
     */
    @Excel(name = "难度等级", orderNum = "5", width = 20)
    private String difficultyClassify;

    /**
     * @desc 课程简介
     * @column lesson_brief
     * @default
     */
    @Excel(name = "课程简介", orderNum = "6", width = 20)
    private String lessonBrief;

    /**
     * @desc 课程讲师
     * @column lesson_tea_name
     * @default
     */
    @Excel(name = "课程讲师", orderNum = "7", width = 20)
    private Integer lessonTeaName;

    /**
     * @desc 课程介绍
     * @column lesson_description
     * @default
     */
    @Excel(name = "课程介绍", orderNum = "12", width = 20)
    private String lessonDescription;

    /**
     * @desc 默认封面图片url
     * @column default_url
     * @default
     */
    @Excel(name = "默认封面图片url", orderNum = "13", width = 20)
    private String defaultUrl;
    //课程讲师
    @TableField(exist = false)
    private String teacherName;
    //角色名称集合
    @TableField(exist = false)
    private String roleNames;
    //角色id集合
    @TableField(exist = false)
    private String roleIds;
    //到期日期
    @TableField(exist = false)
    private Integer remainingDate;


}
