package org.rcisoft.business.blesson.entity;

import lombok.Data;

import java.util.Date;

/**
 * @Classname StatisticsDetailVO
 * @Description 我的小组统计详情页面视图层对象
 * @Date 2024/4/20 10:08
 * @Created by Dawn
 */
@Data
public class StatisticsDetailVO {
    /**
     * 课程id
     */
    private transient String lessonId;

    /**
     * 学习类型（0：选修；1：必修）
     */
    private transient String learningType;

    /**
     * 课程名称
     */
    private transient String lessonName;

    /**
     * 课程讲师
     */
    private transient String lessonTeaName;

    /**
     * 剩余有效天数
     */
    private transient String availableTrialTime;

    /**
     * 学习状态（0：未开始；1：学习中；2：已完成）
     */
    private transient String learningState;

    /**
     * 是否完成课程考核(0: 未完成; 1: 已完成; )
     */
    private transient String isCompleteExam;

    /**
     * 学习进度
     */
    private transient String learningProgress;

    /**
     * 课时
     */
    private transient Integer classHour;

    /**
     * 完成日期
     */
    private transient Date completionDate;

    /**
     * 课程满分
     */
    private transient String fullGrade;

    /**
     * 及格线
     */
    private transient String passGrade;

    /**
     * 满分/及格线
     */
    private transient String fullAndPass;

    /**
     * 平均分
     */
    private transient String averageGrade;

    /**
     * 考核提交时间
     */
    private transient Date assessmentCompletionTime;

    /**
     * 考核成绩
     */
    private transient String lessonScore;

    /**
     * 得分趋势（flat：→；up：↑；down：↓）
     */
    private transient String scoreTendency;

    /**
     * 最高分
     */
    private transient String maxScore;

    /**
     * 最低分
     */
    private transient String minScore;

    /**
     * 用户id
     */
    private transient String userId;

    /**
     * 登录名
     */
    private transient String userName;

    /**
     * 用户名称
     */
    private transient String nickName;

    /**
     * 职位/专业
     */
    private transient String position;

    /**
     * 角色名称
     */
    private transient String characterName;

    /**
     * 小组
     */
    private transient String groupNames;
    /**
     * 是否完成考试  0 未开始 1正在进行 2 已完成
     */
    private transient String examState;

    /**
     * 学习过的课程数
     */
    private transient Integer learnCourseNum;

    /**
     * 是否考核
     * */
    private transient String isAppraisal;
}
