package org.rcisoft.business.cmsdevelopment.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年3月25日 下午7:55:33.
*/
@Data
@TableName("cms_development")
public class CmsDevelopment  extends CyIdIncreEntity<CmsDevelopment> {


     /**
     * @desc 时间
     * @column develop_date
     * @default 
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "时间", orderNum = "0", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date developDate;

     /**
     * @desc 图片
     * @column img
     * @default 
     */
     @Excel(name = "图片", orderNum = "1", width = 20)
     private String img;

     /**
     * @desc 标题
     * @column title
     * @default 
     */
     @Excel(name = "标题", orderNum = "2", width = 20)
     private String title;

     /**
     * @desc 正文
     * @column text
     * @default 
     */
     @Excel(name = "正文", orderNum = "3", width = 20)
     private String text;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     @TableField(exist = false)
     private String url;

}

