package org.rcisoft.business.cmsproject.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmsproject.entity.CmsProject;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午5:57:59.
 */
public interface CmsProjectService {

    /**
    * 保存 项目案例
    * @param cmsProject
    * @return
    */
    CyPersistModel persist(CmsProject cmsProject);

    /**
    * 删除 项目案例
    * @param cmsProject
    * @return
    */
    CyPersistModel remove(CmsProject cmsProject);

    /**
    * 逻辑删除 项目案例
    * @param cmsProject
    * @return
    */
    CyPersistModel removeLogical(CmsProject cmsProject);

    /**
    * 修改 项目案例
    * @param cmsProject
    * @return
    */
    CyPersistModel merge(CmsProject cmsProject);

    /**
    * 根据id查询 项目案例
    * @param id
    * @return
    */
    CmsProject findById(Integer id);

    /**
    * 分页查询 项目案例
    * @param cmsProject
    * @return
    */
    IPage<CmsProject> findAllByPagination(CyPageInfo<CmsProject> paginationUtility,
                                          CmsProject cmsProject);


    /**
    * 查询list 项目案例
    * @param cmsProject
    * @return
    */
    List<CmsProject> findAll(CmsProject cmsProject);


    /**
    * 导出项目案例
    * @return
    */
    List<CmsProject> export(CmsProject cmsProject);

    /**
     * 修改状态
     * @return
     */
    CyPersistModel updateStatus(CmsProject cmsProject);
}
