package org.rcisoft.business.ossinfo.service;

import com.aliyuncs.exceptions.ClientException;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.bfile.entity.BFile;
import org.rcisoft.business.ossinfo.entity.OssInfo;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.List;

/**
 * Created by cy on 2024年3月26日 下午5:06:30.
 */
public interface OssInfoService {

    /**
     * 保存
     *
     * @param ossInfo
     * @return
     */
    CyPersistModel persist(OssInfo ossInfo);

    /**
     * 删除
     *
     * @param ossInfo
     * @return
     */
    CyPersistModel remove(OssInfo ossInfo);

    /**
     * 修改
     *
     * @param ossInfo
     * @return
     */
    CyPersistModel merge(OssInfo ossInfo);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    OssInfo findById(String id);

    /**
     * 分页查询
     *
     * @param ossInfo
     * @return
     */
    IPage<OssInfo> findAllByPagination(CyPageInfo<OssInfo> paginationUtility,
                                       OssInfo ossInfo);


    /**
     * 查询list
     *
     * @param ossInfo
     * @return
     */
    List<OssInfo> findAll(OssInfo ossInfo);


    /**
     * 导出
     *
     * @return
     */
    List<OssInfo> export(OssInfo ossInfo);

    //阿里云oss 导入
    Object upload(BFile bFile, String temp, String videoType) throws ClientException;


    Object uploadCourse(BFile bFile, String temp, HttpServletRequest request);

    Object uploadVideo(BFile bFile, String temp);

    BFile uploadVideoToOss(String lessonId, String chapterId,String temp);

    BFile uploadZipToOss(String lessonId, String chapterId, String classZip);
}
