package org.rcisoft.business.pcfeedexamflag.controller;


/*固定导入*/
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.springframework.validation.BindingResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.util.CyUserUtil;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.exception.CyServiceException;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;


import org.rcisoft.business.pcfeedexamflag.entity.PcFeedExamFlag;
import org.rcisoft.business.pcfeedexamflag.service.PcFeedExamFlagService;

import java.util.List;

/**
* Created by cy on 2024年4月13日 下午4:05:03.
*/
@RestController
@RequestMapping("/pcfeedexamflag")
public class PcFeedExamFlagController extends CyPaginationController<PcFeedExamFlag> {


    @Autowired
    private PcFeedExamFlagService pcFeedExamFlagServiceImpl;

    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-新增课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.INSERT)
    @ApiOperation(value="添加/修改课程学习完成意见,考核提示标识表", notes="添加/修改课程学习完成意见,考核提示标识表")
    @PostMapping(value = "/addOrUpdate")
    public CyResult addOrUpdate(@Valid PcFeedExamFlag pcFeedExamFlag, BindingResult bindingResult) {
        CyPersistModel data = pcFeedExamFlagServiceImpl.addOrUpdate(pcFeedExamFlag);
        return CyResultGenUtil.builder(data,
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                pcFeedExamFlag);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:add')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-新增课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.INSERT)
    @ApiOperation(value="添加课程学习完成意见,考核提示标识表", notes="添加课程学习完成意见,考核提示标识表")
    @PostMapping(value = "/add")
    public CyResult add(@Valid PcFeedExamFlag pcFeedExamFlag, BindingResult bindingResult) {
        CyPersistModel data = pcFeedExamFlagServiceImpl.persist(pcFeedExamFlag);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcFeedExamFlag);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:delete')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-删除课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="逻辑删除课程学习完成意见,考核提示标识表", notes="逻辑删除课程学习完成意见,考核提示标识表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/deleteLogical/{businessId:\\w+}")
    public CyResult deleteLogical(@PathVariable Integer businessId,PcFeedExamFlag pcFeedExamFlag) {
        pcFeedExamFlag.setBusinessId(businessId);
        CyPersistModel data = pcFeedExamFlagServiceImpl.removeLogical(pcFeedExamFlag);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:delete')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-删除课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="删除课程学习完成意见,考核提示标识表", notes="删除课程学习完成意见,考核提示标识表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/delete/{businessId:\\w+}")
    public CyResult delete(@PathVariable Integer businessId,PcFeedExamFlag pcFeedExamFlag) {
        pcFeedExamFlag.setBusinessId(businessId);
        CyPersistModel data = pcFeedExamFlagServiceImpl.remove(pcFeedExamFlag);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:update')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-修改课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.UPDATE)
    @ApiOperation(value="修改课程学习完成意见,考核提示标识表", notes="修改课程学习完成意见,考核提示标识表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = false, dataType = "varchar")})
    @PutMapping("/update/{businessId:\\w+}")
    public CyResult update(@PathVariable Integer businessId, @Valid PcFeedExamFlag pcFeedExamFlag, BindingResult bindingResult) {
        pcFeedExamFlag.setBusinessId(businessId);
        CyPersistModel data = pcFeedExamFlagServiceImpl.merge(pcFeedExamFlag);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcFeedExamFlag);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:query')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-查询课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询单一课程学习完成意见,考核提示标识表", notes="查询单一课程学习完成意见,考核提示标识表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @GetMapping("/detail/{businessId:\\w+}")
    public CyResult detail(@PathVariable String businessId) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcFeedExamFlagServiceImpl.findById(businessId));
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:list')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-查询课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询课程学习完成意见,考核提示标识表集合", notes="查询课程学习完成意见,考核提示标识表集合")
    @GetMapping(value = "/listAll")
    public CyResult listAll(PcFeedExamFlag pcFeedExamFlag) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
            pcFeedExamFlagServiceImpl.findAll(pcFeedExamFlag));
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:eedExamFlag:list')")
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-查询课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="分页查询课程学习完成意见,考核提示标识表集合", notes="分页查询课程学习完成意见,考核提示标识表集合")
    @GetMapping(value = "/list")
    public CyGridModel listByPagination(PcFeedExamFlag pcFeedExamFlag) {
        pcFeedExamFlagServiceImpl.findAllByPagination(getPaginationUtility(), pcFeedExamFlag);
        return getGridModelResponse();
    }

    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-查询课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.EXPORT)
    @ApiOperation(value = "导出课程学习完成意见,考核提示标识表信息", notes = "导出课程学习完成意见,考核提示标识表信息")
    @GetMapping(value = "/export")
    public void outPcFeedExamFlag(HttpServletResponse response,PcFeedExamFlag pcFeedExamFlag,@PathVariable @RequestParam(defaultValue = "0") String excelId) {
        String excelName="";
        switch(excelId){
            case "0": excelName="课程学习完成意见,考核提示标识表信息.xls";break;
            case "1": excelName="课程学习完成意见,考核提示标识表信息.xlsx";break;
            case "2": excelName="课程学习完成意见,考核提示标识表信息.csv";break;
        }
        List<PcFeedExamFlag> pcFeedExamFlagList = pcFeedExamFlagServiceImpl.export(pcFeedExamFlag);
        CyEpExcelUtil.exportExcel(pcFeedExamFlagList, "课程学习完成意见,考核提示标识表信息", "课程学习完成意见,考核提示标识表信息", PcFeedExamFlag.class, excelName, response);
    }

    /**
     * 查询课程是否学习完成后提示过弹窗
     */
    @CyOpeLogAnno(title = "system-课程学习完成意见,考核提示标识表管理-查询课程学习完成意见,考核提示标识表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="根据用户id以及课程id查询课程学习完成意见,考核提示标识表", notes="根据用户id以及课程id查询课程学习完成意见,考核提示标识表")
    @GetMapping(value = "/findByOne")
    public CyResult findByOne(PcFeedExamFlag pcFeedExamFlag) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                pcFeedExamFlagServiceImpl.findByOne(pcFeedExamFlag));
    }

}
