package org.rcisoft.business.pcfeedexamflag.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Objects;

import com.baomidou.mybatisplus.annotation.TableName;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年4月13日 下午4:05:03.
*/
@Data
@TableName("pc_feed_exam_flag")
public class PcFeedExamFlag  extends CyIdIncreEntity<PcFeedExamFlag> {


     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "1", width = 20)
     private Integer userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "2", width = 20)
     private String lessonId;

     /**
      * @desc 课程是否学习完成 0 : 未学完  1 :已学完
      * @column lesson_id
      * @default
      */
     @Excel(name = "课程是否学习完成 ( 0:未学完,1:已学完 )", orderNum = "2", width = 20)
     private String lessonResult;

     /**
     * @desc 意见标识(0:未提示,1:已提示)
     * @column feedback_flag
     * @default
     */
     @Excel(name = "意见标识(0:未提示,1:已提示)", orderNum = "3", width = 20)
     private String feedbackFlag;

     /**
     * @desc 考试标识(0:未提示,1:已提示)
     * @column exam_flag
     * @default
     */
     @Excel(name = "考试标识(0:未提示,1:已提示)", orderNum = "4", width = 20)
     private String examFlag;

     @Override
     public boolean equals(Object o) {
          if (this == o) return true;
          if (o == null || getClass() != o.getClass()) return false;
          PcFeedExamFlag that = (PcFeedExamFlag) o;
          return Objects.equals(userId, that.userId) &&
                  Objects.equals(lessonId, that.lessonId) &&
                  Objects.equals(feedbackFlag, that.feedbackFlag) &&
                  Objects.equals(examFlag, that.examFlag);
     }

     @Override
     public int hashCode() {
          return Objects.hash(userId, lessonId, feedbackFlag, examFlag);
     }

}

