package org.rcisoft.business.pcfeedexamflag.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.pcfeedexamflag.entity.PcFeedExamFlag;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationPaper;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月13日 下午4:05:03.
 */
public interface PcFeedExamFlagService {

    /**
     * 保存 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    CyPersistModel persist(PcFeedExamFlag pcFeedExamFlag);

    /**
     * 删除 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    CyPersistModel remove(PcFeedExamFlag pcFeedExamFlag);

    /**
     * 逻辑删除 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    CyPersistModel removeLogical(PcFeedExamFlag pcFeedExamFlag);

    /**
     * 修改 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    CyPersistModel merge(PcFeedExamFlag pcFeedExamFlag);

    /**
     * 根据id查询 课程学习完成意见,考核提示标识表
     *
     * @param id
     * @return
     */
    PcFeedExamFlag findById(String id);

    /**
     * 分页查询 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    IPage<PcFeedExamFlag> findAllByPagination(CyPageInfo<PcFeedExamFlag> paginationUtility,
                                              PcFeedExamFlag pcFeedExamFlag);


    /**
     * 查询list 课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    List<PcFeedExamFlag> findAll(PcFeedExamFlag pcFeedExamFlag);


    /**
     * 导出课程学习完成意见,考核提示标识表
     *
     * @return
     */
    List<PcFeedExamFlag> export(PcFeedExamFlag pcFeedExamFlag);

    /**
     * 添加/修改课程学习完成意见,考核提示标识表
     *
     * @param pcFeedExamFlag
     * @return
     */
    CyPersistModel addOrUpdate(PcFeedExamFlag pcFeedExamFlag);

    PcFeedExamFlag findByOne(PcFeedExamFlag pcFeedExamFlag);

    void examCompleted(TeaExamExaminationPaper paperQueryWrapper);
}
