package org.rcisoft.business.pclessonbrowse.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.pclessonbrowse.entity.PcLessonBrowse;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月13日 下午1:12:55.
 */
public interface PcLessonBrowseService {

    /**
    * 保存 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    CyPersistModel persist(PcLessonBrowse pcLessonBrowse);

    /**
    * 删除 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    CyPersistModel remove(PcLessonBrowse pcLessonBrowse);

    /**
    * 逻辑删除 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    CyPersistModel removeLogical(PcLessonBrowse pcLessonBrowse);

    /**
    * 修改 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    CyPersistModel merge(PcLessonBrowse pcLessonBrowse);

    /**
    * 根据id查询 课程浏览记录表
    * @param id
    * @return
    */
    PcLessonBrowse findById(String id);

    /**
    * 分页查询 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    IPage<BLesson> findAllByPagination(CyPageInfo<PcLessonBrowse> paginationUtility,
                                       PcLessonBrowse pcLessonBrowse);


    /**
    * 查询list 课程浏览记录表
    * @param pcLessonBrowse
    * @return
    */
    List<PcLessonBrowse> findAll(PcLessonBrowse pcLessonBrowse);


    /**
    * 导出课程浏览记录表
    * @return
    */
    List<PcLessonBrowse> export(PcLessonBrowse pcLessonBrowse);

    void persistOne(PcLessonBrowse pcLessonBrowse);


    /**
     * 用户批量添加题库
     */
    Boolean addSystemQuestion(List<PcLessonBrowse> pcLessonBrowseList);
}
