package org.rcisoft.business.pclessonevaluation.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.joda.time.DateTime;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2024年4月17日 下午8:36:05.
 */
@Data
@TableName("pc_lesson_evaluation")
public class PcLessonEvaluation extends CyIdIncreEntity<PcLessonEvaluation> {


    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @Excel(name = "用户id", orderNum = "0", width = 20)
    private Integer userId;

    /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
    @Excel(name = "课程id", orderNum = "1", width = 20)
    private String lessonId;

    /**
     * @desc 课程评分
     * @column lesson_rate
     * @default
     */
    @Excel(name = "课程评分", orderNum = "2", width = 20)
    private Double lessonRate;

    /**
     * @desc 意见反馈
     * @column lesson_view
     * @default
     */
    @Excel(name = "意见反馈", orderNum = "3", width = 20)
    private String lessonView;

    /**
     * @desc 提交时间
     * @column submission_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @Excel(name = "提交时间", orderNum = "4", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date submissionTime;

    /**
     * @desc 匿名标识(0 : 匿名, 1 : 不匿名)
     * @column anonymous_flag
     * @default
     */
    @Excel(name = "匿名标识(0:匿名,1:不匿名)", orderNum = "5", width = 20)
    private String anonymousFlag;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;

    /**
     * 登录名
     */
    @TableField(exist = false)
    private String userName;
    /**
     * 用户姓名
     */
    @TableField(exist = false)
    private String name;
    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String unitName;
}

