package org.rcisoft.business.pclessonevaluation.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.pclessonevaluation.entity.PcLessonEvaluation;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月17日 下午8:36:05.
 */
public interface PcLessonEvaluationService {

    /**
    * 保存 pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    CyPersistModel persist(PcLessonEvaluation pcLessonEvaluation);

    /**
    * 删除 pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    CyPersistModel remove(PcLessonEvaluation pcLessonEvaluation);

    /**
    * 逻辑删除 pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    CyPersistModel removeLogical(PcLessonEvaluation pcLessonEvaluation);

    /**
    * 修改 pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    CyPersistModel merge(PcLessonEvaluation pcLessonEvaluation);

    /**
    * 根据id查询 pc课程评价表
    * @param id
    * @return
    */
    PcLessonEvaluation findById(int id);

    /**
    * 分页查询 pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    IPage<PcLessonEvaluation> findAllByPagination(CyPageInfo<PcLessonEvaluation> paginationUtility,
              PcLessonEvaluation pcLessonEvaluation);

    /**
     * 分页查询 课程评价表
     * @param pcLessonEvaluation
     * @return
     */
    IPage<PcLessonEvaluation> findEvaluationByPagination(CyPageInfo<PcLessonEvaluation> paginationUtility,
                                                  PcLessonEvaluation pcLessonEvaluation);


    /**
    * 查询list pc课程评价表
    * @param pcLessonEvaluation
    * @return
    */
    List<PcLessonEvaluation> findAll(PcLessonEvaluation pcLessonEvaluation);


    /**
    * 导出pc课程评价表
    * @return
    */
    List<PcLessonEvaluation> export(PcLessonEvaluation pcLessonEvaluation);

}
