package org.rcisoft.business.pclessonfavorite.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年4月12日 下午1:09:06.
*/
@Data
@TableName("pc_lesson_favorite")
public class PcLessonFavorite  extends CyIdIncreEntity<PcLessonFavorite> {


     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     /**
     * @desc 删除标记（0：正常；1：删除；）
     * @column del_flag
     * @default
     */
     @Excel(name = "删除标记（0：正常；1：删除；）", orderNum = "2", width = 20)
     private String delFlag;

     /**
     * @desc 备注
     * @column remarks
     * @default
     */
     @Excel(name = "备注", orderNum = "3", width = 20)
     private String remarks;

     /**
     * @desc
     * @column update_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "updateDate", orderNum = "4", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date updateDate;

     /**
     * @desc
     * @column create_date
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "createDate", orderNum = "5", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date createDate;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

}

