package org.rcisoft.business.pclessonlearntime.dao;

import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.pclessonlearntime.entity.PcLessonLearntime;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.pc.statistics.lessonStatistics.entity.LessonStatistics;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with cy on 2024年4月13日 下午3:14:16.
 */

public interface PcLessonLearntimeRepository extends CyBaseMapper<PcLessonLearntime> {


    List<PcLessonLearntime> queryPcLessonLearntimes(@Param("entity") PcLessonLearntime pcLessonLearntime);

    /**
     * 分页查询 pcLessonLearntime
     */
    IPage<PcLessonLearntime> queryPcLessonLearntimesPaged(CyPageInfo cyPageInfo, @Param("entity") PcLessonLearntime pcLessonLearntime);

    //获取课程学习时长
    PcLessonLearntime queryLessonLearntime(@Param("entity") PcLessonLearntime pcLessonLearntime);

    /**
     * 课程是否学习完成
     *
     * @param pcLessonLearntime
     * @return
     */
    ArrayList<BLesson> isComplete(@Param("entity") PcLessonLearntime pcLessonLearntime);

    int countLessonByDictData(@Param("lessonStatistics") LessonStatistics lessonStatistics);

    void learningProgress(@Param("pcLessonLearntime") PcLessonLearntime pcLessonLearntime);
}

