package org.rcisoft.business.pclessonlearntime.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.pclessonlearntime.entity.PcLessonLearntime;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月13日 下午3:14:16.
 */
public interface PcLessonLearntimeService {

    /**
    * 保存 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    CyPersistModel addOrUpdate(PcLessonLearntime pcLessonLearntime);

    /**
    * 删除 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    CyPersistModel remove(PcLessonLearntime pcLessonLearntime);

    /**
    * 逻辑删除 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    CyPersistModel removeLogical(PcLessonLearntime pcLessonLearntime);

    /**
    * 修改 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    CyPersistModel merge(PcLessonLearntime pcLessonLearntime);

    /**
    * 根据id查询 课程学习时长表
    * @param id
    * @return
    */
    PcLessonLearntime findById(String id);

    /**
    * 分页查询 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    IPage<PcLessonLearntime> findAllByPagination(CyPageInfo<PcLessonLearntime> paginationUtility,
              PcLessonLearntime pcLessonLearntime);


    /**
    * 查询list 课程学习时长表
    * @param pcLessonLearntime
    * @return
    */
    List<PcLessonLearntime> findAll(PcLessonLearntime pcLessonLearntime);


    /**
    * 导出课程学习时长表
    * @return
    */
    List<PcLessonLearntime> export(PcLessonLearntime pcLessonLearntime);

    Boolean isComplete(PcLessonLearntime pcLessonLearntime);

    PcLessonLearntime findOne(PcLessonLearntime pcLessonLearntime);
}
