package org.rcisoft.business.pclessonviews.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.pclessonviews.entity.PcLessonViews;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月12日 下午1:09:06.
 */
public interface PcLessonViewsService {

    /**
    * 保存 课程浏览次数表
    * @param pcLessonViews
    * @return
    */
    CyPersistModel persist(PcLessonViews pcLessonViews);

    /**
    * 删除 课程浏览次数表
    * @param pcLessonViews
    * @return
    */
    CyPersistModel remove(PcLessonViews pcLessonViews);

    /**
    * 修改 课程浏览次数表
    * @param pcLessonViews
    * @return
    */
    CyPersistModel merge(PcLessonViews pcLessonViews);

    /**
    * 根据id查询 课程浏览次数表
    * @param id
    * @return
    */
    PcLessonViews findById(int id);

    /**
    * 分页查询 课程浏览次数表
    * @param pcLessonViews
    * @return
    */
    IPage<PcLessonViews> findAllByPagination(CyPageInfo<PcLessonViews> paginationUtility,
              PcLessonViews pcLessonViews);


    /**
    * 查询list 课程浏览次数表
    * @param pcLessonViews
    * @return
    */
    List<PcLessonViews> findAll(PcLessonViews pcLessonViews);


    /**
    * 导出课程浏览次数表
    * @return
    */
    List<PcLessonViews> export(PcLessonViews pcLessonViews);

    /**
     * 根据课程id查询浏览次数
     * @param bLessonId
     * @return
     */
    PcLessonViews addViewsByLessonId(PcLessonViews pcLessonViews);
}
