package org.rcisoft.business.pcmanage.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;

/**
* Created with cy on 2024年4月19日 下午3:46:44.
*/
@Data
@TableName("pc_manage")
public class PcManage  extends CyIdIncreEntity<PcManage> {



     /**
     * @desc 用户id
     * @column user_id
     * @default
     */
     @Excel(name = "用户id", orderNum = "0", width = 20)
     private Integer userId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     /**
     * @desc 标题
     * @column tiltle
     * @default
     */
     @Excel(name = "标题", orderNum = "2", width = 20)
     private String tiltle;

     /**
     * @desc 消息内容
     * @column details
     * @default
     */
     @Excel(name = "消息内容", orderNum = "3", width = 20)
     private String details;

     /**
     * @desc 附件id
     * @column attachment_id
     * @default
     */
     @Excel(name = "附件id", orderNum = "4", width = 20)
     private Integer attachmentId;

     /**
     * @desc 状态 0:未读 , 1:已读
     * @column state
     * @default
     */
     @Excel(name = "状态", orderNum = "5", width = 20)
     private String state;

     /**
     * @desc 类型
     * @column type
     * @default
     */
     @Excel(name = "类型", orderNum = "6", width = 20)
     private String type;

     /**
     * @desc 发布时间
     * @column release_time
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "发布时间", orderNum = "7", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date releaseTime;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;


     /**
      * 分页
      * */
     @TableField(exist = false)
     private Integer pageNum;
     @TableField(exist = false)
     private Integer pageSize;

}

