package org.rcisoft.business.pcmanage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.pcmanage.entity.PcManage;
import org.rcisoft.business.teatrialcourse.entity.TeaTrialCourse;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月19日 下午3:46:44.
 */
public interface PcManageService {

    /**
    * 保存
    * @param teaTrialCourses
    * @return
    */
    CyPersistModel persist(List<TeaTrialCourse> teaTrialCourses,Integer type);

    /**
    * 删除
    * @param pcManage
    * @return
    */
    CyPersistModel remove(PcManage pcManage);

    /**
    * 逻辑删除
    * @param pcManage
    * @return
    */
    CyPersistModel removeLogical(PcManage pcManage);

    /**
    * 修改
    * @param pcManageListJson
    * @return
    */
    CyPersistModel merge(String pcManageListJson);

    /**
    * 根据id查询
    * @param id
    * @return
    */
    PcManage findById(String id);

    /**
    * 分页查询
    * @param pcManage
    * @return
    */
    IPage<PcManage> findAllByPagination(CyPageInfo<PcManage> paginationUtility,
              PcManage pcManage);


    /**
    * 查询list
    * @param pcManage
    * @return
    */
    List<PcManage> findAll(PcManage pcManage);


    /**
    * 导出
    * @return
    */
    List<PcManage> export(PcManage pcManage);

}
