package org.rcisoft.business.postblesson.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.postblesson.entity.PostTeaExamOptions;
import org.rcisoft.business.postblesson.entity.PostTeaExamQuestions;

import org.rcisoft.business.teaexamoptions.entity.TeaExamOptions;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * @FileName PostTeaExamOptionsRepository
 * @Description
 * @Author 牛虎林
 * @date 2024-05-15
 **/

public interface PostTeaExamOptionsRepository extends CyBaseMapper<PostTeaExamOptions> {
    List<PostTeaExamQuestions> queryTeaExamOptionss(@Param("entity") TeaExamOptions teaExamOptions);

    /**
     * 分页查询 teaExamOptions
     *
     */
    IPage<PostTeaExamQuestions> queryTeaExamOptionssPaged(CyPageInfo cyPageInfo, @Param("entity") PostTeaExamQuestions teaExamOptions);

    /**
     * 根据问题id查询所有选项信息
     * **/
    List<PostTeaExamOptions> queryTeaExamOptionById(@Param("questionsId") Integer questionsId);

    /**根据问题id删除对应问题的选项**/
    int deleteByQuestionsId(@Param("questionsId") Integer questionsId);

    /**
     * 根据试卷id查询选项
     * @param businessId
     * @return
     */
    List<PostTeaExamQuestions> queryTeaExamOptionssById(Integer businessId);

    /**
     * 根据课程id查询数据
     * @param list
     * @return
     */
    List<PostTeaExamQuestions> selectByQuestionIds(List<Integer> list);



}
