package org.rcisoft.business.postblesson.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
* Created with cy on 2024年3月25日 下午7:38:48.
*/
@Data
@TableName("sys_unit")
public class PostSysUnit extends CyIdIncreEntity<PostSysUnit> {

     /**
     * @desc 单位类型 1:企业 2：院校
     * @column unit_type
     * @default
     */
     @Excel(name = "单位类型 1:企业 2：院校", orderNum = "7", width = 20)
     private String unitType;

     /**
     * @desc 单位名称
     * @column unit_name
     * @default
     */
     @Excel(name = "单位名称", orderNum = "8", width = 20)
     private String unitName;

     /**
     * @desc 管理员账号
     * @column unit_number
     * @default
     */
     @Excel(name = "管理员账号", orderNum = "9", width = 20)
     private String unitNumber;
     /**
      * @desc 管理员id
      * @column user_id
      * @default
      */
     @Excel(name = "管理员id", orderNum = "9", width = 20)
     private Integer userId;

     /**
     * @desc 出口id
     * @column exit_id
     * @default
     */
     @Excel(name = "出口id", orderNum = "10", width = 20)
     private String exitId;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     @TableField(exist = false)
     private String creteName;
     @TableField(exist = false)
     private String updateName;

     @TableField(exist = false)
     private String username;

}

