package org.rcisoft.business.postblesson.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum Judgment {

    TRUE("1", "对"),
    FALSE("0", "错");
    private String code;
    private String name;

    /**
     * 根据code获取name
     */
    public static String getNameByCode(String code) {
        for (Judgment judgment : Judgment.values()) {
            if (judgment.getCode().equals(code)) {
                return judgment.getName();
            }
        }
        return null;
    }
    /**
     * 根据name获取code
     */
    public static String getCodeByName(String name) {
        for (Judgment judgment : Judgment.values()) {
            if (judgment.getName().equals(name)) {
                return judgment.getCode();
            }
        }
        return null;
    }

}
