package org.rcisoft.business.postblesson.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @FileName QuestionType
 * @Description
 * @Author 牛虎林
 * @date 2024-05-16
 **/
@Getter
@AllArgsConstructor
public enum QuestionType {

    /**
     * 单选题
     */
    SINGLE_CHOICE(1, "单选题"),

    /**
     * 多选题
     */
    MULTIPLE_CHOICE(2, "多选题"),

    /**
     * 判断题
     */
    JUDGMENT(3, "判断题");
    public Integer code;
    private String name;


    /**
     * 根据code获取枚举
     */
    public static QuestionType getEnumByCode(Integer code) {
        for (QuestionType questionType : QuestionType.values()) {
            if (questionType.getCode().equals(code)) {
                return questionType;
            }
        }
        return null;
    }


    /**
     * 根据name 获取code
     */

    public static QuestionType getCodeByName(String name) {
        for (QuestionType questionType : QuestionType.values()) {
            if (questionType.getName().equals(name)) {
                return questionType;
            }
        }
        return null;
    }

    public static Integer getCode(String name) {
        for (QuestionType questionType : QuestionType.values()) {
            if (questionType.getName().equals(name)) {
                return questionType.getCode();
            }
        }
        return null;
    }


}
