package org.rcisoft.business.postblesson.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.postblesson.dto.*;
import org.rcisoft.business.postblesson.vo.*;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * Created by cy on 2024年3月23日 上午9:54:37.
 */
public interface BLessonService {
    /**
     * 添加企业
     * @param addEnterpriseVO
     * @param token
     * @return
     */
    CyPersistModel addEnterprise(AddEnterpriseVO addEnterpriseVO, String token);


    /**
     * 查询题库下面的企业
     * @param businessId
     * @return
     */
    List<EnterpriseDTO> selectEnterprise(String businessId, String unitName);


    /**
     * 查询题目列表
     * @param paginationUtility
     * @param
     * @return
     */
    IPage<QuestionsExamination> queryBLessonByPagination(CyPageInfo<QuestionsExamination> paginationUtility, QuestionBankVO questionBankVO);

    CyPersistModel addPersist(PostExamQuestionDto examQuestionDto);

    /**
     *  分页查询题型列表
     * @param paginationUtility
     * @param questionsList
     * @param courseId 试题ID
     * @return
     */

    IPage<QuestionsList> queryQuestionTypeByPagination(CyPageInfo<QuestionsList> paginationUtility , QuestionsList questionsList, String courseId);


    /**
     * 保存岗位信息
     * @param postBLesson
     * @param token
     * @return
     */
    CyPersistModel postPersist(PostBLessonVO postBLesson , String token);

    /**
     * 判断岗位和难度分类是否重复
     * @param jobClassify
     * @param difficultyClassify
     * @return
     */
    Boolean isRepeat(String jobClassify,String difficultyClassify );

    /**
     * 分页查询岗位题目数目
     */

    IPage<BLessonDTO> queryPcPostBLessonsByPagination(CyPageInfo<org.rcisoft.business.postblesson.dto.BLessonDTO> paginationUtility,BLessonDTO bLessonDTO);

    PostBLessonVO  findById(String businessId);

    CyPersistModel update(PostBLessonVO postBLesson, String token);

    CyPersistModel removeLogical(String businessId);

    /**
     *查询 试题信息
     * @param id
     * @return
     */
    PostExamQuestionDto queryAllExamQuestionDto(String id);


    /**
     * 修改试题
     */
    CyPersistModel merge(PostExamQuestionDto examQuestionDto);


    /**
     * 修改试题状态
     * @param status
     * @param businessId
     * @return
     */

    CyPersistModel changeStatus(String status, Integer businessId);


    /**
     * 修改题库状态
     * @param status
     * @param businessId
     * @return
     */
    CyPersistModel changeStatusLesson(String status, String businessId);

    CyPersistModel deleteEnterprise(String businessId, Integer enterpriseId);

    /**
     * 重新用户试题状态
     * @param questionBankVO
     * @return
     */
    AnswerStatus queryAllExamQuestionDetail(QuestionBankVO questionBankVO);


    /**
     * 查询用户试卷
     * @param examPaperVO
     * @return
     */
    Map<String, Object>  findByLessonId(ExaminationPaperVO examPaperVO);

    CyPersistModel answer(AnswerVO answerVO);

    /**
     * 用户答题结束保存用户的答题分数
     * @param questionsId 记录id
     */
    PostExamQuestionResultDto  selectByQuestionsId(Integer questionsId);

    /**
     * 删除答题记录
     * @param businessId
     * @return
     */
    CyPersistModel deleteLogical(Integer businessId);

    CyPersistModel delete(Integer businessId);

    /**
     * 导入题目
     */
    List<Integer> importDictData(MultipartFile file, String courseId);
}
