package org.rcisoft.business.postblesson.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.pclessonbrowse.entity.PcLessonBrowse;
import org.rcisoft.business.postblesson.dao.PostPcLessonBrowseRepository;
import org.rcisoft.business.postblesson.entity.PostPcLessonBrowse;
import org.rcisoft.business.postblesson.service.PostPcLessonBrowseService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @FileName PostPcLessonBrowseServiceImpl
 * @Description
 * @Author 牛虎林
 * @date 2024-05-15
 **/

@Service
@Transactional(readOnly = true, propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class PostPcLessonBrowseServiceImpl extends ServiceImpl<PostPcLessonBrowseRepository, PostPcLessonBrowse> implements PostPcLessonBrowseService {


    @Override
    public Boolean addSystemQuestion(List<PostPcLessonBrowse> pcLessonBrowseList) {
        return this.saveBatch(pcLessonBrowseList);
    }


    @Transactional(propagation = Propagation.REQUIRED, rollbackFor = Exception.class)
    @Override
    public Boolean updateSystemQuestion(List<Integer> userIdList, String status,String lessonId) {

        LambdaUpdateWrapper<PostPcLessonBrowse> updateWrapper = new LambdaUpdateWrapper<>();
        updateWrapper.in(PostPcLessonBrowse::getUserId, userIdList)
                .eq(PostPcLessonBrowse::getLessonId, lessonId);
        return this.update(updateWrapper.set(PostPcLessonBrowse::getStatus, status));

    }

    @Override
    public Boolean isExist(List<Integer> userIdList, String status, String lessonId) {
       LambdaUpdateWrapper<PostPcLessonBrowse> selectWrapper = new LambdaUpdateWrapper<>();
       selectWrapper.in(PostPcLessonBrowse::getUserId, userIdList)
                   .eq(PostPcLessonBrowse::getLessonId, lessonId)
                   .eq(PostPcLessonBrowse::getStatus, status);
        Collection<PostPcLessonBrowse> pcLessonBrowseList = baseMapper.selectList(selectWrapper);
        return pcLessonBrowseList.size()  == userIdList.size();
    }


}
