package org.rcisoft.business.sysContest.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.rcisoft.core.entity.CyFileEntity;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotation.TableName;

/**
* Created with cy on 2024年3月25日 下午7:45:56.
*/
@Data
@TableName("cms_contest")
public class CmsContest  extends CyIdIncreEntity<CmsContest> {



     /**
     * @desc 图片
     * @column contest_picture
     * @default 
     */
     @Excel(name = "图片", orderNum = "1", width = 20)
     private String contestPicture;

     @TableField(exist = false)
     private String url;

     /**
     * @desc 大赛时间
     * @column contest_date
     * @default 
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd"
     )
     @Excel(name = "大赛时间", orderNum = "2", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date contestDate;

     /**
     * @desc 文字描述
     * @column contest_discribe
     * @default 
     */
     @Excel(name = "大赛描述", orderNum = "3", width = 20)
     private String contestDiscribe;

     /**
      * @desc 文字描述
      * @column contest_discribe
      * @default
      */
     @Excel(name = "权重", orderNum = "4", width = 20)
     private Integer weight;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

}

