package org.rcisoft.business.sysFeedBack.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.sysFeedBack.entity.CmsFeedback;
import org.rcisoft.business.sysFeedBack.entity.FeedBackType;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月27日 下午1:53:08.
 */
public interface CmsFeedbackService {

    /**
    * 保存 意见反馈
    * @param cmsFeedback
    * @return
    */
    CyPersistModel persist(CmsFeedback cmsFeedback);

    /**
    * 删除 意见反馈
    * @param cmsFeedback
    * @return
    */
    CyPersistModel remove(CmsFeedback cmsFeedback);

    /**
    * 逻辑删除 意见反馈
    * @param cmsFeedback
    * @return
    */
    CyPersistModel removeLogical(CmsFeedback cmsFeedback);

    /**
    * 修改 意见反馈
    * @param cmsFeedback
    * @return
    */
    CyPersistModel merge(CmsFeedback cmsFeedback);

    /**
    * 根据id查询 意见反馈
    * @param id
    * @return
    */
    CmsFeedback findById(Integer id);

    /**
    * 分页查询 意见反馈
    * @param cmsFeedback
    * @return
    */
    IPage<CmsFeedback> findAllByPagination(CyPageInfo<CmsFeedback> paginationUtility,
              CmsFeedback cmsFeedback);


    /**
    * 查询list 意见反馈
    * @param cmsFeedback
    * @return
    */
    List<CmsFeedback> findAll(CmsFeedback cmsFeedback);


    /**
    * 导出意见反馈
    * @return
    */
    List<CmsFeedback> export(CmsFeedback cmsFeedback);

    /**
     * 查反馈类型
     * @return
     */
    List<FeedBackType> findFeedBackType();

}
