package org.rcisoft.business.sysLecturer.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * Created with cy on 2024年3月28日 下午1:39:55.
 */
@Data
@TableName("cms_lecturer")
public class CmsLecturer extends CyIdIncreEntity<CmsLecturer> {


    /**
     * @desc 头像id
     * @column avatar_id
     * @default
     */
    @Excel(name = "头像id", orderNum = "0", width = 20)
    private Integer avatarId;

    /**
     * @desc 头衔id
     * @column title_id
     * @default
     */
    @Excel(name = "头衔", orderNum = "1", width = 20)
    private String title;

    /**
     * @desc 讲师姓名
     * @column name
     * @default
     */
    @Excel(name = "讲师姓名", orderNum = "2", width = 20)
    private String name;

    /**
     * @desc 简介
     * @column details
     * @default
     */
    @Excel(name = "简介", orderNum = "3", width = 20)
    private String details;

    /**
     * 讲师用户id
     */
    private Integer userId;

    /**
     * @desc 头像地址
     * @column avatarUrl
     * @default
     */
    @TableField(exist = false)
    private String avatarUrl;

    /**
     * @desc 头像地址
     * @column avatar
     * @default
     */
    @TableField(exist = false)
    private String avatar;
}

