package org.rcisoft.business.sysLecturer.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.sysLecturer.entity.CmsLecturer;
import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月28日 下午1:39:55.
 */
public interface CmsLecturerService {

    /**
    * 保存 讲师信息表
    * @param cmsLecturer
    * @return
    */
    CyPersistModel persist(CmsLecturer cmsLecturer);

    /**
    * 删除 讲师信息表
    * @param cmsLecturer
    * @return
    */
    CyPersistModel remove(CmsLecturer cmsLecturer);

    /**
    * 逻辑删除 讲师信息表
    * @param cmsLecturer
    * @return
    */
    CyPersistModel removeLogical(CmsLecturer cmsLecturer);

    /**
    * 修改 讲师信息表
    * @param cmsLecturer
    * @return
    */
    CyPersistModel merge(CmsLecturer cmsLecturer);

    /**
    * 根据id查询 讲师信息表
    * @param id
    * @return
    */
    CmsLecturer findById(Integer id);

    /**
    * 分页查询 讲师信息表
    * @param cmsLecturer
    * @return
    */
    IPage<CmsLecturer> findAllByPagination(CyPageInfo<CmsLecturer> paginationUtility,
              CmsLecturer cmsLecturer);


    /**
    * 查询list 讲师信息表
    * @param cmsLecturer
    * @return
    */
    List<CmsLecturer> findAll(CmsLecturer cmsLecturer);


    /**
    * 导出讲师信息表
    * @return
    */
    List<CmsLecturer> export(CmsLecturer cmsLecturer);


    CyPersistModel updateLecturerByUser(Integer id);
}
