package org.rcisoft.business.syscontentnewsinformation.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.syscontentnewsinformation.entity.SysContentNewsInformation;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午1:42:40.
 */
public interface SysContentNewsInformationService {

    /**
    * 保存 新闻资讯
    * @param sysContentNewsInformation
    * @return
    */
    CyPersistModel persist(SysContentNewsInformation sysContentNewsInformation);

    /**
    * 删除 新闻资讯
    * @param sysContentNewsInformation
    * @return
    */
    CyPersistModel remove(SysContentNewsInformation sysContentNewsInformation);

    /**
    * 修改 新闻资讯
    * @param sysContentNewsInformation
    * @return
    */
    CyPersistModel merge(SysContentNewsInformation sysContentNewsInformation);

    /**
    * 根据id查询 新闻资讯
    * @param id
    * @return
    */
    SysContentNewsInformation findById(Integer id);

    /**
    * 分页查询 新闻资讯
    * @param sysContentNewsInformation
    * @return
    */
    IPage<SysContentNewsInformation> findAllByPagination(CyPageInfo<SysContentNewsInformation> paginationUtility,
              SysContentNewsInformation sysContentNewsInformation);


    /**
    * 查询list 新闻资讯
    * @param sysContentNewsInformation
    * @return
    */
    List<SysContentNewsInformation> findAll(SysContentNewsInformation sysContentNewsInformation);


    /**
    * 导出新闻资讯
    * @return
    */
    List<SysContentNewsInformation> export(SysContentNewsInformation sysContentNewsInformation);
    /**
     * 修改状态
     */

    CyPersistModel updateStatus(SysContentNewsInformation sysContentNewsInformation);
}
