package org.rcisoft.business.sysdictdata.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.sysdictdata.entity.SysDictData;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月30日 下午5:22:43.
 */
public interface SysDictDataService {

    /**
    * 保存 字典数据表
    * @param sysDictData
    * @return
    */
    CyPersistModel persist(SysDictData sysDictData);

    /**
    * 删除 字典数据表
    * @param sysDictData
    * @return
    */
    CyPersistModel remove(SysDictData sysDictData);

    /**
    * 逻辑删除 字典数据表
    * @param sysDictData
    * @return
    */
    CyPersistModel removeLogical(SysDictData sysDictData);

    /**
    * 修改 字典数据表
    * @param sysDictData
    * @return
    */
    CyPersistModel merge(SysDictData sysDictData);

    /**
    * 根据id查询 字典数据表
    * @param id
    * @return
    */
    SysDictData findById(String id);

    /**
    * 分页查询 字典数据表
    * @param sysDictData
    * @return
    */
    IPage<SysDictData> findAllByPagination(CyPageInfo<SysDictData> paginationUtility,
              SysDictData sysDictData);


    /**
    * 查询list 字典数据表
    * @param sysDictData
    * @return
    */
    List<SysDictData> findAll(SysDictData sysDictData);


    /**
    * 导出字典数据表
    * @return
    */
    List<SysDictData> export(SysDictData sysDictData);




}
