package org.rcisoft.business.sysunit.dao;

import org.rcisoft.business.sysunit.entity.*;
import org.rcisoft.business.sysunit.vo.PayRankVO;
import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.rbac.user.entity.SysUserRbac;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午7:38:48.
*/

public interface UnitRepository extends CyBaseMapper<SysUnit> {


    List<SysUnit> querySysUnits(@Param("entity") SysUnit sysUnit);

    /**
    * 分页查询 sysUnit
    *
    */
    IPage<SysUnit> querySysUnitsPaged(CyPageInfo cyPageInfo,@Param("entity") SysUnit sysUnit);

    /**
     * @description: 查询所有用户信息
     * @author: gaoyu
     * @param:
     * @return:
     **/
    List<SysUserRbac> listAllUser(SysUserRbac sysUserRbac);

    /**
     * @description: 查询所有单位管理员信息
     * @author: gaoyu
     * @param:
     * @return:
     **/
    List<SysUserRbac> listAllUnitAdmins();


    SysUnit listAllUserId();

    /**
     * @description: 根据userid查询信息
     * @author:
     * @param:
     * @return:
     **/
   SysUserRbac queryUserByUserId(Integer userId);

    /**
     * @description: 更新用户绑定单位
     * @author:
     * @param:
     * @return:
     **/
    int updateUserBind(@Param("entity") SysUserRbac userRbac);


    SysUnit selectByIdU(String businessId);

    /**
     * 根据登录ip获取单位信息
     * @param ip
     * @return
     */
    List<SysUnit> selectByIp(String ip);

    SysUnit selectByDeptId(Integer integer);

	Integer getEnterprisesTotalNumber();

    Integer getEnterprisesAddNumber();

    Integer getCollegesTotalNumber();

    Integer getCollegesAddNumber();

	Integer getEnterprisesPeopleTotalNumber();

    Integer getEnterprisesPeopleLiveNumber();

    Integer getgetCollegesPeopleInSchoolNumber();

    Integer getCollegesPeopleTotalNumber();

	List<PayRankVO> getPayRank();

	Integer getUnitTotalRecords();

    IPage<UnitView> getUnitViewByPage(CyPageInfo<UnitView> paginationUtility);

	Integer getStudentNumber(Integer businessId);

    IPage<StudentNumber> getStudentNumberRecords(CyPageInfo<StudentNumber> paginationUtility ,@Param("entity") SysUnit sysUnit);

	Integer getPayedNumber(Integer businessId);

    IPage<Payed> getPayedRecords(CyPageInfo<Payed> paginationUtility, @Param("entity") SysUnit sysUnit);

	Integer getNoPayedNumber(Integer businessId);

    IPage<Payed> getNoPayedRecords(CyPageInfo<Payed> paginationUtility, @Param("entity") SysUnit sysUnit);

	Integer getFinishNumber(Integer businessId);

	IPage<Finish> getFinishRecords(CyPageInfo<Finish> paginationUtility,@Param("entity") SysUnit unit);

	Integer getNotFinishNumber(Integer businessId);

    IPage<NotFinish> getNotFinishRecords(CyPageInfo<NotFinish> paginationUtility,@Param("entity") SysUnit unit);


	Integer getExamNumber(Integer businessId);

    IPage<Exam> getExamRecords(CyPageInfo<Exam> paginationUtility,@Param("entity") SysUnit unit);


    /**
     * 根据企业id查询企业用户详情
     * @param enterpriseId
     * @return
     */
    List<Integer> SelectUserIdByEnterpriseId(@Param("enterpriseId") Integer enterpriseId);

    SysUser selectByUnitId(@Param("unitId") Integer unitId);

    /**修改单位信息*/
    int updateUnitById(@Param("entity") SysUnit sysUnit);
}

