package org.rcisoft.business.sysunit.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.sysunit.dto.UnitInfoDTO;
import org.rcisoft.business.sysunit.entity.*;
import org.rcisoft.business.sysunit.vo.*;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.rbac.user.entity.SysUserRbac;

import java.util.List;

/**
 * Created by cy on 2024年3月25日 下午7:38:48.
 */
public interface UnitService {

    /**
    * 保存 单位管理
    * @param sysUnit
    * @return
    */
    CyPersistModel persist(SysUnit sysUnit);

    /**
    * 删除 单位管理
    * @param sysUnit
    * @return
    */
    CyPersistModel remove(SysUnit sysUnit);

    /**
    * 修改 单位管理
    * @param sysUnit
    * @return
    */
    CyPersistModel merge(SysUnit sysUnit);

    /**
    * 根据id查询 单位管理
    * @param id
    * @return
    */
    SysUnit findById(String id);



    /**
    * 分页查询 单位管理
    * @param sysUnit
    * @return
    */
    IPage<SysUnit> findAllByPagination(CyPageInfo<SysUnit> paginationUtility,
              SysUnit sysUnit);


    /**
    * 查询list 单位管理
    * @param sysUnit
    * @return
    */
    List<SysUnit> findAll(SysUnit sysUnit);





    /**
    * 导出单位管理
    * @return
    */
    List<SysUnit> export(SysUnit sysUnit);


    /**
     * @description: 查询所有用户信息
     * @author: gaoyu
     * @param:
     * @return:
     **/
    List<SysUserRbac> listAllUser(SysUserRbac sysUserRbac);

    /**
     * @description: 查询所有单位管理员信息
     * @author: gaoyu
     * @param:
     * @return:
     **/
    List<SysUserRbac> listAllUnitAdmins(String userId);

    /**
     * @description: 查询单位信息
     * @return
     */
    SysUnit findByUserId();

    EnterprisesVO getEnterprisesView();

    CollegesVO getCollegesView();

    EnterprisesPeopleVO getEnterprisesPeopleView();

    CollegesPeopleVO getCollegesPeopleView();

    List<PayRankVO> getPayRank();

    IPage<UnitView> getUnitView(CyPageInfo<UnitView> paginationUtility);

    IPage<StudentNumber> getStudentNumber(CyPageInfo<StudentNumber> paginationUtility ,SysUnit sysUnit);

    IPage<Payed> getPayed(CyPageInfo<Payed> paginationUtility,SysUnit unit);

    IPage<Payed> getNoPayed(CyPageInfo<Payed> paginationUtility,SysUnit unit);

    IPage<Finish> getFinish(CyPageInfo<Finish> paginationUtility,SysUnit unit);

    IPage<NotFinish> getNotFinish(CyPageInfo<NotFinish> paginationUtility,SysUnit unit);

    IPage<Exam> getExam(CyPageInfo<Exam> paginationUtility,SysUnit unit);


    List<UnitInfoDTO> findAllUnitInfo();


    /**
     * 根据企业id查询企业用户id
     */
    List<Integer> SelectUserIdByEnterpriseId(Integer enterpriseId);

}
