package org.rcisoft.business.sysunitlesson.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.sysunitlesson.dto.OpeningCourseDto;
import org.rcisoft.business.sysunitlesson.entity.SysUnitLesson;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* Created with cy on 2024年3月26日 下午4:06:16.
*/

public interface SysUnitLessonRepository extends CyBaseMapper<SysUnitLesson> {


    List<SysUnitLesson> querySysUnitLessons(@Param("entity") SysUnitLesson sysUnitLesson);

    /**
    * 分页查询 sysUnitLesson
    *
    */
    IPage<OpeningCourseDto> querySysUnitLessonsPaged(CyPageInfo cyPageInfo, @Param("entity") OpeningCourseDto sysUnitLesson);

    /**
     * @description: 根据单位id查询该单位所开的所有课程
     * @author: gaoyu
     * @param: sysUnitLesson 单位信息
     * @return:  List<OpeningCourseDto> 该单位所开的所有课程
     **/
    List<OpeningCourseDto> queryOpenCourseByUnitId(SysUnitLesson sysUnitLesson);

    /**
     * @description: 校验开课信息是否唯一
     * @author: gaoyu
     * @param:
     * @return:
     **/
    int validOpenCourse(SysUnitLesson sysUnitLesson);

    /**
     * @description: 删除该单位下的所有开课信息
     * @author: gaoyu
     * @param:
     * @return:
     **/
    int deleteUnitLessonBYUnitId(@Param("unitId") Integer unitId);

    int updateUnitLesson(SysUnitLesson sysUnitLesson);

    int deleteUnitLesson(SysUnitLesson sysUnitLesson);
}

