package org.rcisoft.business.sysunitlesson.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.sysunitlesson.dto.OpeningCourseDto;
import org.rcisoft.business.sysunitlesson.entity.SysUnitLesson;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年3月26日 下午4:06:16.
 */
public interface SysUnitLessonService {

    /**
    * 保存 课程和单位中间表
    * @param sysUnitLesson
    * @return
    */
    CyPersistModel persist(SysUnitLesson sysUnitLesson);

    /**
    * 删除 课程和单位中间表
    * @param sysUnitLesson
    * @return
    */
    CyPersistModel remove(SysUnitLesson sysUnitLesson);

    /**
    * 修改 课程和单位中间表
    * @param sysUnitLesson
    * @return
    */
    CyPersistModel merge(SysUnitLesson sysUnitLesson);

    /**
    * 根据id查询 课程和单位中间表
    * @param id
    * @return
    */
    SysUnitLesson findById(String id);

    /**
    * 分页查询 课程和单位中间表
    * @param sysUnitLesson
    * @return
    */
    IPage<OpeningCourseDto> findAllByPagination(CyPageInfo<OpeningCourseDto> paginationUtility,
                                             OpeningCourseDto sysUnitLesson);


    /**
    * 查询list 课程和单位中间表
    * @param sysUnitLesson
    * @return
    */
    List<SysUnitLesson> findAll(SysUnitLesson sysUnitLesson);


    /**
    * 导出课程和单位中间表
    * @return
    */
    List<SysUnitLesson> export(SysUnitLesson sysUnitLesson);

    List<OpeningCourseDto> queryOpenCourseByUnitId(SysUnitLesson sysUnitLesson);

    int validOpenCourse(SysUnitLesson sysUnitLesson);


    CyPersistModel batchAddUnitLesson(OpeningCourseDto openingCourseDto);

}
