package org.rcisoft.business.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * @author wangFeilong
 */
@Data
public class PCUnitUserDTO extends CyIdIncreEntity<PCUnitUserDTO> {
    /**
     * @desc 登录名
     * @column username
     * @default
     */
    @Excel(name = "登录名", orderNum = "0", width = 20)
    private String username;

    /**
     * @desc 用户昵称
     * @column nick_name
     * @default
     */
    @Excel(name = "用户昵称", orderNum = "1", width = 20)
    private String nickName;

    /**
     * @desc 用户类型（0系统用户 1普通用户）
     * @column user_type
     * @default
     */
    @Excel(name = "用户类型（0系统用户 1普通用户）", orderNum = "2", width = 20)
    private String userType;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "用户姓名", orderNum = "3", width = 20)
    private String name;

    /**
     * @desc 用户邮箱
     * @column email
     * @default
     */
    @Excel(name = "用户邮箱", orderNum = "4", width = 20)
    private String email;

    /**
     * @desc 手机号码
     * @column phone
     * @default
     */
    @Excel(name = "手机号码", orderNum = "5", width = 20)
    private String phone;

    /**
     * @desc 用户性别（0男 1女 2未知）
     * @column sex
     * @default
     */
    @Excel(name = "用户性别（0男 1女 2未知）", orderNum = "6", width = 20)
    private String sex;
    /**
     * @desc 身份证号
     * @column id_number
     * @default
     */
    @Excel(name = "身份证号", orderNum = "8", width = 20)
    private String idNumber;

    /**
     * @desc 头像地址
     * @column avatar
     * @default
     */
    @Excel(name = "头像地址", orderNum = "9", width = 20)
    private String avatar;

    /**
     * @desc 最后登录ip
     * @column login_ip
     * @default
     */
    @Excel(name = "最后登录ip", orderNum = "10", width = 20)
    private String loginIp;

    /**
     * @desc 最后登录时间
     * @column login_date
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @Excel(name = "最后登录时间", orderNum = "11", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date loginDate;

    /**
     * @desc 所属部门id
     * @column dept_id
     * @default
     */
    @Excel(name = "所属部门id", orderNum = "12", width = 20)
    private BigInteger deptId;

    /**
     * @desc 身份（1管理员;2单位用户;3个人用户）
     * @column identity
     * @default
     */
    @Excel(name = "身份（1管理员;2单位用户;3个人用户）", orderNum = "13", width = 20)
    private String identity;
    //课程统计
    private String lessonCount;
    //角色统计
    private String roleCount;
    //小组统计
    private String groupCount;
    //学员统计
    private String studentCount;
    //单位名称
    private String unitName;
    //单位类型
    private String unitType;
    //备注
    private String remark;
    //职业名称
    private String position;
    //单位名称
    private String deptName;
    //是否修改初始密码 0未修改 1已修改
    private String updatePassword;
    //初始密码
    private String initPassword;
    //头衔
    private String title;
    //简介
    private String details;
    //单位管理员id
    private String userId;
}
