package org.rcisoft.business.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.google.common.collect.Lists;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.sys.wbac.menu.entity.SysMenu;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author wangFeilong
 */
@Data
public class PCUserImportDTO  extends CyIdIncreEntity<PCUserImportDTO> {
    /**
     * @desc 登录名
     * @column username
     * @default
     */
    @Excel(name = "登录名", orderNum = "0", width = 20,fixedIndex = 0)
    private String username;

    /**
     * @desc 用户昵称
     * @column nick_name
     * @default
     */
//     @Excel(name = "用户昵称", orderNum = "1", width = 20)
    private String nickName;

    /**
     * @desc 用户类型（0系统用户 1普通用户）
     * @column user_type
     * @default
     */
//     @Excel(name = "用户类型（0系统用户 1普通用户）", orderNum = "2", width = 20)
    private String userType;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "姓名", orderNum = "1", width = 20,fixedIndex = 1)
    private String name;

    /**
     * @desc 手机号码
     * @column phone
     * @default
     */
    @Excel(name = "手机号码", orderNum = "3", width = 20,fixedIndex = 3)
    private String phone;

    /**
     * @desc 用户性别（0男 1女 2未知）
     * @column sex
     * @default
     */
    @Excel(name = "用户性别", orderNum = "2", width = 20,fixedIndex = 2)
    private String sex;

    /**
     * @desc 密码
     * @column password
     * @default
     */
//     @Excel(name = "密码", orderNum = "7", width = 20)
    private String password;

    /**
     * @desc 身份证号
     * @column id_number
     * @default
     */
//     @Excel(name = "身份证号", orderNum = "8", width = 20)
    private String idNumber;

    /**
     * @desc 头像地址
     * @column avatar
     * @default
     */
//     @Excel(name = "头像地址", orderNum = "9", width = 20)
    private String avatar;

    /**
     * @desc 最后登录ip
     * @column login_ip
     * @default
     */
//     @Excel(name = "最后登录ip", orderNum = "10", width = 20)
    private String loginIp;

    /**
     * @desc 最后登录时间
     * @column login_date
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
//     @Excel(name = "最后登录时间", orderNum = "11", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date loginDate;

    /**
     * @desc 所属部门id
     * @column dept_id
     * @default
     */
//     @Excel(name = "所属部门id", orderNum = "12", width = 20)
    private BigInteger deptId;

    /**
     * @desc 身份（1管理员;2单位用户;3个人用户）
     * @column identity
     * @default
     */
//     @Excel(name = "身份（1管理员;2单位用户;3个人用户）", orderNum = "13", width = 20)
    private String identity;

    @TableField(exist = false)

    private String postName; // 岗位名称
    //职位
    @Excel(name = "职业/专业", orderNum = "4", width = 20,fixedIndex = 4)
    private String position;
    //角色名list
    @TableField(exist = false)
    @Excel(name = "角色", orderNum = "5", width = 20,fixedIndex = 5)
    private String roleNames;
    @TableField(exist = false)
    @Excel(name = "小组", orderNum = "6", width = 20,fixedIndex = 6)
    private String groupNames;
    @Excel(name = "状态", orderNum = "7", width = 20,fixedIndex = 7)
    private String flag;
    //角色idlist
    private List<Integer> roleIdsList;
    //小组idlist
    @TableField(exist = false)
    private List<Integer> groupIdsList;


}
