package org.rcisoft.business.teaexamexaminationpaper.controller;


/*固定导入*/
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExamination;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationDTO;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationPaper;
import org.rcisoft.business.teaexamexaminationpaper.service.TeaExamExaminationPaperService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.springframework.validation.BindingResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.util.CyUserUtil;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.exception.CyServiceException;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;


import java.util.List;
import java.util.Map;

/**
* Created by cy on 2024年3月28日 下午1:38:34.
*/
@RestController
@RequestMapping("/teaexamexaminationpaper")
public class TeaExamExaminationPaperController extends CyPaginationController<TeaExamExaminationPaper> {


    @Autowired
    private TeaExamExaminationPaperService teaExamExaminationPaperServiceImpl;

    @CyOpeLogAnno(title = "system-试卷表管理-试卷审批", businessType = CyLogTypeEnum.UPDATE)
    @ApiOperation(value="试卷审批", notes="试卷审批")
    @PutMapping(value = "/upadteBatch")
    public CyResult upadteBatch(@RequestBody TeaExamExamination teaExamExamination , BindingResult bindingResult) {
        teaExamExaminationPaperServiceImpl.markPapers(teaExamExamination);
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                teaExamExamination);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:examExaminationPaper:delete')")
    @CyOpeLogAnno(title = "system-试卷表管理-删除试卷表", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="逻辑删除试卷表", notes="逻辑删除试卷表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/deleteLogical/{businessId:\\w+}")
    public CyResult deleteLogical(@PathVariable Integer businessId,TeaExamExaminationPaper teaExamExaminationPaper) {
        teaExamExaminationPaper.setBusinessId(businessId);
        CyPersistModel data = teaExamExaminationPaperServiceImpl.removeLogical(teaExamExaminationPaper);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:examExaminationPaper:delete')")
    @CyOpeLogAnno(title = "system-试卷表管理-删除试卷表", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="删除试卷表", notes="删除试卷表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/delete/{businessId:\\w+}")
    public CyResult delete(@PathVariable Integer businessId,TeaExamExaminationPaper teaExamExaminationPaper) {
        teaExamExaminationPaper.setBusinessId(businessId);
        CyPersistModel data = teaExamExaminationPaperServiceImpl.remove(teaExamExaminationPaper);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:examExaminationPaper:update')")
    @CyOpeLogAnno(title = "system-试卷表管理-修改试卷表", businessType = CyLogTypeEnum.UPDATE)
    @ApiOperation(value="修改试卷表", notes="修改试卷表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = false, dataType = "varchar")})
    @PutMapping("/update/{businessId:\\w+}")
    public CyResult update(@PathVariable Integer businessId, @Valid TeaExamExaminationPaper teaExamExaminationPaper, BindingResult bindingResult) {
        teaExamExaminationPaper.setBusinessId(businessId);
        CyPersistModel data = teaExamExaminationPaperServiceImpl.merge(teaExamExaminationPaper);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        teaExamExaminationPaper);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:examExaminationPaper:query')")
    @CyOpeLogAnno(title = "system-试卷表管理-查询试卷表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询单一试卷表", notes="查询单一试卷表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @GetMapping("/detail/{businessId:\\w+}")
    public CyResult detail(@PathVariable Integer businessId) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        teaExamExaminationPaperServiceImpl.findById(businessId));
    }


    @CyOpeLogAnno(title = "system-试卷表管理-查询试卷表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询单一试卷表", notes="查询单一试卷表")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @GetMapping("/queryById/{businessId:\\w+}")
    public CyResult queryListById(@PathVariable Integer businessId) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                teaExamExaminationPaperServiceImpl.selectById(businessId));
    }


    //@PreAuthorize("@cyPerm.hasPerm('sys:examExaminationPaper:list')")
    @CyOpeLogAnno(title = "system-试卷表管理-查询试卷表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="分页查询试卷表集合", notes="分页查询试卷表集合")
    @GetMapping(value = "/queryTeaExamExaminationPaperByPagination")
    public CyGridModel listByPagination(TeaExamExaminationPaper teaExamExaminationPaper) {
        teaExamExaminationPaperServiceImpl.findAllByPagination(getPaginationUtility(), teaExamExaminationPaper);
        return getGridModelResponse();
    }

    @CyOpeLogAnno(title = "system-试卷表管理-查询试卷表", businessType = CyLogTypeEnum.EXPORT)
    @ApiOperation(value = "导出试卷表信息", notes = "导出试卷表信息")
    @GetMapping(value = "/export")
    public void outTeaExamExaminationPaper(HttpServletResponse response,TeaExamExaminationPaper teaExamExaminationPaper,@PathVariable @RequestParam(defaultValue = "0") String excelId) {
        String excelName="";
        switch(excelId){
            case "0": excelName="试卷表信息.xls";break;
            case "1": excelName="试卷表信息.xlsx";break;
            case "2": excelName="试卷表信息.csv";break;
        }
        List<TeaExamExaminationPaper> teaExamExaminationPaperList = teaExamExaminationPaperServiceImpl.export(teaExamExaminationPaper);
        CyEpExcelUtil.exportExcel(teaExamExaminationPaperList, "试卷表信息", "试卷表信息", TeaExamExaminationPaper.class, excelName, response);
    }

    /**
     * 查询用户考核结果
     */
    @CyOpeLogAnno(title = "system-试卷表管理-查询试卷表", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询用户考核结果", notes="查询用户考核结果")
    @ApiImplicitParams({@ApiImplicitParam(name = "lessonId", value = "lessonId", required = true, dataType = "varchar")})
    @GetMapping("/queryUserExamResult")
    public CyResult queryUserExamResult(String lessonId) {
        Map<String, Object> stringObjectMap = teaExamExaminationPaperServiceImpl.queryUserExamResult(lessonId);

        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,stringObjectMap
               );
    }
}
