package org.rcisoft.business.teaexamexaminationpaper.dao;

import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExamination;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationDTO;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationPaper;
import org.rcisoft.business.teaexamquestions.dto.ExamQuestionDto;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * Created with cy on 2024年3月28日 下午1:38:34.
 */

public interface TeaExamExaminationPaperRepository extends CyBaseMapper<TeaExamExaminationPaper> {


    List<TeaExamExaminationPaper> queryTeaExamExaminationPapers(@Param("entity") TeaExamExaminationPaper teaExamExaminationPaper);

    /**
     * 分页查询 teaExamExaminationPaper
     */
    IPage<TeaExamExaminationPaper> queryTeaExamExaminationPapersPaged(CyPageInfo cyPageInfo, @Param("entity") TeaExamExaminationPaper teaExamExaminationPaper);

    //根据id查询详情
    List<TeaExamExaminationDTO> queryById(@Param("businessId") Integer businessId);

    Integer updateBatch(List<TeaExamExaminationDTO> teaExamExaminationDTOList);

    Integer countScore(Integer id);

    //修改状态
    Integer updateFlag(@Param("entity") TeaExamExaminationPaper teaExamExaminationPaper);

    /**
     * 根据试卷id查询题目信息
     *
     * @param businessId
     * @return
     */
    List<ExamQuestionDto> queryUserExamResultById(Integer businessId);

    List<ExamQuestionDto> queryUserExamResult(@Param("paper") TeaExamExaminationPaper paper);
}


