package org.rcisoft.business.teaexamexaminationpaper.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.util.Date;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
* Created with cy on 2024年3月28日 下午1:38:34.
 * @author wangFeilong
 */
@Data
@TableName("tea_exam_examination_paper")
public class TeaExamExaminationPaper  extends CyIdIncreEntity<TeaExamExaminationPaper> {



     /**
     * @desc 得分
     * @column score
     * @default
     */
     @Excel(name = "得分", orderNum = "0", width = 20)
     private Integer score;

     /**
     * @desc 答题人id
     * @column answer_id
     * @default
     */
     @Excel(name = "答题人id", orderNum = "1", width = 20)
     private Integer answerId;

     /**
     * @desc 填写时间
     * @column filling_time
     * @default
     */
     @JsonFormat(
     pattern = "yyyy-MM-dd HH:mm:ss"
     )
     @Excel(name = "填写时间", orderNum = "2", width = 20, format = "yyyy-MM-dd HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date fillingTime;

     /**
     * @desc 课程id
     * @column course_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "3", width = 20)
     private String courseId;

     /**
     * 开始时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
     * 结束时间
     */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;
     @TableField(exist = false)
     private String answerName;

}

