package org.rcisoft.business.teaexamexaminationpaper.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExamination;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationDTO;
import org.rcisoft.business.teaexamexaminationpaper.entity.TeaExamExaminationPaper;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;
import java.util.Map;

/**
 * Created by cy on 2024年3月28日 下午1:38:34.
 */
public interface TeaExamExaminationPaperService {

    /**
    * 保存 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    CyPersistModel persist(TeaExamExaminationPaper teaExamExaminationPaper);

    /**
    * 删除 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    CyPersistModel remove(TeaExamExaminationPaper teaExamExaminationPaper);

    /**
    * 逻辑删除 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    CyPersistModel removeLogical(TeaExamExaminationPaper teaExamExaminationPaper);

    /**
    * 修改 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    CyPersistModel merge(TeaExamExaminationPaper teaExamExaminationPaper);

    /**
    * 根据id查询 试卷表
    * @param id
    * @return
    */
    TeaExamExaminationPaper findById(Integer businessId);

    /**
     * 根据id查询详情
     *
     */
    List<TeaExamExaminationDTO> selectById (Integer businessId);
    /**
    * 分页查询 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    IPage<TeaExamExaminationPaper> findAllByPagination(CyPageInfo<TeaExamExaminationPaper> paginationUtility,
                                                       TeaExamExaminationPaper teaExamExaminationPaper);


    /**
    * 查询list 试卷表
    * @param teaExamExaminationPaper
    * @return
    */
    List<TeaExamExaminationPaper> findAll(TeaExamExaminationPaper teaExamExaminationPaper);


    /**
    * 导出试卷表
    * @return
    */
    List<TeaExamExaminationPaper> export(TeaExamExaminationPaper teaExamExaminationPaper);

    boolean markPapers(TeaExamExamination teaExamExamination);

    /**
     * 查询用户考核结果
     * @param lessonId
     * @return
     */
    Map<String, Object> queryUserExamResult(String lessonId);
}
