package org.rcisoft.business.teaexamoptions.dao;

import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.teaexamoptions.entity.TeaExamOptions;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2024年3月29日 上午9:33:36.
*/

public interface TeaExamOptionsRepository extends CyBaseMapper<TeaExamOptions> {


    List<TeaExamOptions> queryTeaExamOptionss(@Param("entity") TeaExamOptions teaExamOptions);

    /**
    * 分页查询 teaExamOptions
    *
    */
    IPage<TeaExamOptions> queryTeaExamOptionssPaged(CyPageInfo cyPageInfo,@Param("entity") TeaExamOptions teaExamOptions);

    /**
     * 根据问题id查询所有选项信息
     * **/
    List<TeaExamOptions> queryTeaExamOptionById(@Param("questionsId") Integer questionsId);

    /**根据问题id删除对应问题的选项**/
    int deleteByQuestionsId(@Param("questionsId") Integer questionsId);

    /**
     * 根据试卷id查询选项
     * @param businessId
     * @return
     */
    List<TeaExamOptions> queryTeaExamOptionssById(Integer businessId);

    /**
     * 根据课程id查询数据
     * @param list
     * @return
     */
    List<TeaExamOptions> selectByQuestionIds(List<Integer> list);
}

