package org.rcisoft.business.teaexamoptions.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.teaexamoptions.entity.TeaExamOptions;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年3月29日 上午9:33:36.
 */
public interface TeaExamOptionsService {

    /**
    * 保存 选项表
    * @param teaExamOptions
    * @return
    */
    CyPersistModel persist(TeaExamOptions teaExamOptions);

    /**
    * 删除 选项表
    * @param teaExamOptions
    * @return
    */
    CyPersistModel remove(TeaExamOptions teaExamOptions);

    /**
    * 逻辑删除 选项表
    * @param teaExamOptions
    * @return
    */
    CyPersistModel removeLogical(TeaExamOptions teaExamOptions);

    /**
    * 修改 选项表
    * @param teaExamOptions
    * @return
    */
    CyPersistModel merge(TeaExamOptions teaExamOptions);

    /**
    * 根据id查询 选项表
    * @param id
    * @return
    */
    TeaExamOptions findById(Integer id);

    /**
    * 分页查询 选项表
    * @param teaExamOptions
    * @return
    */
    IPage<TeaExamOptions> findAllByPagination(CyPageInfo<TeaExamOptions> paginationUtility,
                                              TeaExamOptions teaExamOptions);


    /**
    * 查询list 选项表
    * @param teaExamOptions
    * @return
    */
    List<TeaExamOptions> findAll(TeaExamOptions teaExamOptions);


    /**
    * 导出选项表
    * @return
    */
    List<TeaExamOptions> export(TeaExamOptions teaExamOptions);

}
