package org.rcisoft.business.teaexamquestions.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.teaexamquestions.dto.ExamQuestionDto;
import org.rcisoft.business.teaexamquestions.entity.TeaExamQuestions;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by cy on 2024年3月28日 下午1:38:34.
 */
public interface TeaExamQuestionsService {

    /**
     * 保存 试题表
     *
     * @param questionDto
     * @return
     */
    CyPersistModel persist(ExamQuestionDto questionDto);

    /**
     * 查询 试题信息
     *
     * @param id
     * @return
     */
    ExamQuestionDto queryAllExamQuestionDto(String id);

    /**
     * 删除 试题表
     *
     * @param teaExamQuestions
     * @return
     */
    CyPersistModel remove(TeaExamQuestions teaExamQuestions);

    /**
     * 逻辑删除 试题表
     *
     * @param teaExamQuestions
     * @return
     */
    CyPersistModel removeLogical(TeaExamQuestions teaExamQuestions);

    /**
     * 修改 试题表
     *
     * @param questionDto
     * @return
     */
    CyPersistModel merge(ExamQuestionDto questionDto);

    CyPersistModel changeStatus(TeaExamQuestions teaExamQuestions);

    /**
     * 根据id查询 试题表
     *
     * @param id
     * @return
     */
    TeaExamQuestions findById(String id);

    /**
     * 分页查询 试题表
     *
     * @param teaExamQuestions
     * @return
     */
    IPage<TeaExamQuestions> findAllByPagination(CyPageInfo<TeaExamQuestions> paginationUtility,
                                                TeaExamQuestions teaExamQuestions);


    /**
     * 查询list 试题表
     *
     * @param teaExamQuestions
     * @return
     */
    List<TeaExamQuestions> findAll(TeaExamQuestions teaExamQuestions);


    /**
     * 导出试题表
     *
     * @return
     */
    List<TeaExamQuestions> export(TeaExamQuestions teaExamQuestions);

    /**
     * 根据课程id查询试题
     *
     * @param lessonId
     * @return
     */
    Map<String, Object> findByLessonId(String lessonId);

    /**
     * 保存用户试卷填写答案
     *
     * @param paramMap
     * @return
     */
    Map<String, Object> save(String paramMap);

    /**
     * 根据用户id课程id查询试卷信息
     *
     * @param lessonId
     * @param userId
     * @return
     */
    List<ExamQuestionDto> findByLessonIdAndUserId(String lessonId, Integer userId);

    /*
     * 导入试题
     * */
    String importExcel(MultipartFile file, String courseId);
}
