package org.rcisoft.business.tealessonandapplication.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.tealessonandapplication.entity.TeaLessonAndApplication;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月3日 上午10:08:10.
 */
public interface TeaLessonAndApplicationService {

    /**
    * 保存 课程和申请的中间表
    * @param teaLessonAndApplication
    * @return
    */
    CyPersistModel persist(TeaLessonAndApplication teaLessonAndApplication);

    /**
    * 删除 课程和申请的中间表
    * @param teaLessonAndApplication
    * @return
    */
    CyPersistModel remove(TeaLessonAndApplication teaLessonAndApplication);

    /**
    * 修改 课程和申请的中间表
    * @param teaLessonAndApplication
    * @return
    */
    CyPersistModel merge(TeaLessonAndApplication teaLessonAndApplication);

    /**
    * 根据id查询 课程和申请的中间表
    * @param id
    * @return
    */
    TeaLessonAndApplication findById(int id);

    /**
    * 分页查询 课程和申请的中间表
    * @param teaLessonAndApplication
    * @return
    */
    IPage<TeaLessonAndApplication> findAllByPagination(CyPageInfo<TeaLessonAndApplication> paginationUtility,
              TeaLessonAndApplication teaLessonAndApplication);


    /**
    * 查询list 课程和申请的中间表
    * @param teaLessonAndApplication
    * @return
    */
    List<TeaLessonAndApplication> findAll(TeaLessonAndApplication teaLessonAndApplication);


    /**
    * 导出课程和申请的中间表
    * @return
    */
    List<TeaLessonAndApplication> export(TeaLessonAndApplication teaLessonAndApplication);

}
