package org.rcisoft.business.teatrialcourse.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ExportTrialCourseDTO {
    @Excel(
            name = "单位名称",
            orderNum = "0",
            width = 20.0
    )
    @ApiModelProperty(
            name = "applicantUnitName",
            value = "单位名称",
            required = true,
            dataType = "varchar"
    )
    private String applicantUnitName;

    @Excel(
            name = "课程名称",
            orderNum = "1",
            width = 20.0
    )
    @ApiModelProperty(
            name = "lessonName",
            value = "课程名称",
            required = true,
            dataType = "varchar"
    )
    private String lessonName;

    @Excel(name = "开始日期", orderNum = "2", width = 20, format = "yyyy-MM-dd")
    @ApiModelProperty(
            name = "beginTrialTime",
            value = "开始日期",
            required = true,
            dataType = "dataTime"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date beginTrialTime;

    @Excel(name = "结束日期", orderNum = "3", width = 20, format = "yyyy-MM-dd")
    @ApiModelProperty(
            name = "endTrialTime",
            value = "结束日期",
            required = true,
            dataType = "dataTime"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTrialTime;

    @Excel(
            name = "开课类型",
            orderNum = "4",
            width = 20.0
    )
    @ApiModelProperty(
            name = "applicantType",
            value = "开课类型",
            required = true,
            dataType = "varchar"
    )
    private String applicantType;

    //    @Excel(
//            name = "岗位分类",
//            orderNum = "5",
//            width = 20.0
//    )
//    @ApiModelProperty(
//            name = "jobClassification",
//            value = "岗位分类",
//            required = true,
//            dataType = "varchar"
//    )
    private String jobClassification;

    //    @Excel(
//            name = "技术分类",
//            orderNum = "6",
//            width = 20.0
//    )
//    @ApiModelProperty(
//            name = "technicalClassification",
//            value = "技术分类",
//            required = true,
//            dataType = "varchar"
//    )
    private String technicalClassification;

    @Excel(
            name = "备注",
            orderNum = "7",
            width = 20.0
    )
    @ApiModelProperty(
            name = "remarks",
            value = "备注",
            required = true,
            dataType = "varchar"
    )
    private String remarks;
}
