package org.rcisoft.business.teatrialcourse.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.rcisoft.core.entity.CyIdEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;

import javax.annotation.meta.TypeQualifier;

/**
 * Created with cy on 2024年4月1日 下午2:35:26.
 *
 * @author wangFeilong
 */
@Data
@TableName("tea_lesson_begin_class")
public class TeaTrialCourse extends CyIdIncreEntity<TeaTrialCourse> {


    /**
     * @desc 申请人id
     * @column applicant
     * @default
     */
    @Excel(name = "申请人id", orderNum = "0", width = 20)
    private Integer applicant;

    /**
     * @desc 申请单位id
     * @column applicant_unit
     * @default
     */
    @Excel(name = "申请单位id", orderNum = "1", width = 20)
    private Integer applicantUnit;

    /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
    @Excel(name = "课程id", orderNum = "2", width = 20)
    private String lessonId;

    /**
     * @desc 岗位分类
     * @column job_classification
     * @default
     */
    @Excel(name = "岗位分类", orderNum = "3", width = 20)
    private String jobClassification;

    /**
     * @desc 技术分类
     * @column technical_classification
     * @default
     */
    @Excel(name = "技术分类", orderNum = "4", width = 20)
    private String technicalClassification;

    /**
     * @desc 开始试用时间
     * @column begin_trial_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @Excel(name = "开始试用时间", orderNum = "5", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date beginTrialTime;

    /**
     * @desc 结束试用时间
     * @column end_trial_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @Excel(name = "结束试用时间", orderNum = "6", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTrialTime;
    /**
     * applicant_type
     * 开课类型
     */
    private Integer applicantType;
    /**
     * 是否付费
     */
    private Integer isPay;

    /**
     * 开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginTime;
    //讲师名称
    @TableField(exist = false)
    private String lecturer;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endTime;
    @TableField(exist = false)
    private String applicantName;
    @TableField(exist = false)
    private String userName;
    @TableField(exist = false)
    private String applicantUnitName;
    @TableField(exist = false)
    private String lessonName;
    //用户手机号
    @TableField(exist = false)
    private String applicantPhone;


    /**
     * 开始日期查询-开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginBeginTime;

    /**
     * 开始日期查询-结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String beginEndTime;


    /**
     * 开始日期查询-开始时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endBeginTime;

    /**
     * 开始日期查询-结束时间
     */
    @JsonIgnore
    @TableField(exist = false)
    private String endEndTime;

    /**
     * 新增消息 用户id
     */
    private transient Integer userId;

    /**
     * 新增消息 剩余天数
     */
    private transient String remainingDays;

}

