package org.rcisoft.business.teatrialcourse.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.blesson.entity.BLesson;
import org.rcisoft.business.teatrialcourse.dto.ExportTrialCourseDTO;
import org.rcisoft.business.teatrialcourse.dto.TrialCourseDto;
import org.rcisoft.business.teatrialcourse.dto.TrialCourseQueryDto;
import org.rcisoft.business.teatrialcourse.entity.TeaTrialCourse;
import org.rcisoft.business.teatrialcourse.entity.TeaTrialCourseDTO;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 *
 * @author cy
 * @date 2024年4月1日 下午2:35:26
 */
public interface TeaTrialCourseService {

    /**
    * 保存 试用开课
    * @param teaTrialCourse
    * @return
    */
    CyPersistModel persist(TeaTrialCourse teaTrialCourse);

    /**
    * 删除 试用开课
    * @param teaTrialCourse
    * @return
    */
    CyPersistModel remove(TeaTrialCourse teaTrialCourse);

    /**
    * 逻辑删除 试用开课
    * @param teaTrialCourse
    * @return
    */
    CyPersistModel removeLogical(TeaTrialCourse teaTrialCourse);

    /**
    * 修改 试用开课
    * @param teaTrialCourse
    * @return
    */
    CyPersistModel merge(TeaTrialCourse teaTrialCourse);

    /**
    * 根据id查询 试用开课
    * @param id
    * @return
    */
    TeaTrialCourse findById(Integer id);

    /**
    * 分页查询 试用开课
    * @param teaTrialCourse
    * @return
    */
    IPage<TeaTrialCourse> findAllByPagination(CyPageInfo<TeaTrialCourse> paginationUtility,
                                              TeaTrialCourse teaTrialCourse);


    /**
    * 查询list 试用开课
    * @param teaTrialCourse
    * @return
    */
    List<TeaTrialCourse> findAll(TeaTrialCourse teaTrialCourse);


    /**
    * 导出试用开课
    * @return
    */
    List<TeaTrialCourse> export(TeaTrialCourse teaTrialCourse);
    /**
     * 批量新增
     */
    CyPersistModel batchAdd(TeaTrialCourseDTO teaTrialCourseDTO);


    String importExcel(MultipartFile file);

    IPage<BLesson> queryNoSchoolBegins(CyPageInfo<TeaTrialCourse> paginationUtility,
            TrialCourseQueryDto teaTrialCourse);

    /**
     * 试用课程到期数据查询
     */
    void expireTrialCourse();
}
