package org.rcisoft.core.util;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.FileUtils;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.rcisoft.business.ossinfo.entity.OssInfo;
import org.rcisoft.common.component.Global;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.result.ResultServiceEnums;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;
import java.util.Map;
@Slf4j
public class DownloadUtil {

    @Autowired
    private Global global;

//    public static Integer download(OssInfo ossInfo, HttpServletResponse response) {
//        response.setCharacterEncoding("UTF-8");
//        response.setHeader("Content-Type", "application/x-msdownload");
//        response.setHeader("Content-Disposition",
//                "attachment;filename=" + ossInfo.getOriginalName());
//        File file = null;
//        ServletOutputStream os = null;
//        String Base_Discovery="http://49.232.167.247:20020/teaServer/";
//        String url="http://49.232.167.247:20020/teaServer/zip/24f2ee033e1c4fdda951f9a8e8321b61/e15b413c-c407-4eba-ac76-513b195f4b55/20240422/CB72044F16FD4C0AB442E3DD194CD5DB.zip";
//        try {
////            file = new File(RSAUtil.decryptByPrivateKey(null, url));
////            file = new File((Base_Discovery+ossInfo.getUrl()));
//            file = new File(url);
//            os = response.getOutputStream();
//            byte bytes[] = FileUtils.readFileToByteArray(file);//read文件成字节数组，然后将字节数组写入os输出流中去
//
//
//
//            os.write(bytes);
//            os.flush();
//            os.close();
//        } catch (Exception e) {
//            log.info("context:" + e);
//
//            throw new RuntimeException(ResultServiceEnums.DOWNLOAD_ERROR.getMessage());
//        }
//        return 1;
//    }

        public static Integer download(OssInfo ossInfo, HttpServletResponse response) {
            response.setCharacterEncoding("UTF-8");
            response.setHeader("Content-Type", "application/x-msdownload");
            response.setHeader(
                    "Content-Disposition",
                    "attachment; filename=\"" + ossInfo.getOriginalName() + "\""
            );

            try (ServletOutputStream os = response.getOutputStream()) {
                // 创建HttpClient实例
                CloseableHttpClient httpClient = HttpClients.createDefault();
                String Base_Discovery="http://49.232.167.247:20020/teaServer/";
                // 构建HttpGet请求
                //String url = "http://49.232.167.247:20020/teaServer/zip/24f2ee033e1c4fdda951f9a8e8321b61/e15b413c-c407-4eba-ac76-513b195f4b55/20240422/CB72044F16FD4C0AB442E3DD194CD5DB.zip";
                String url = Base_Discovery + ossInfo.getUrl();
                HttpGet httpGet = new HttpGet(url);

                // 执行请求并获取响应

                try (CloseableHttpResponse httpResponse = httpClient.execute(httpGet)) {
                    // 获取响应实体
                    HttpEntity entity = httpResponse.getEntity();

                    if (entity != null) {
                        // 将响应实体内容写入输出流
                        byte[] bytes = EntityUtils.toByteArray(entity);
                        os.write(bytes);
                    } else {
                        throw new RuntimeException("Empty response received for the file download request.");
                    }
                }
                // 关闭响应
            } catch (IOException e) {
                log.info("Error occurred during file download:", e);
                throw new RuntimeException(ResultServiceEnums.DOWNLOAD_ERROR.getMessage());
            }

            return 1;
        }
}
