package org.rcisoft.openapi.api.component;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 引入OpenApi专属yml配置
 * */
@Component
@Data
public class OpenApiGlobal {

    //redis 开关
    @Value("${cy.model.redis}")
    private Boolean redis;

    /*----服务器调用----*/
    //ip访问不合法最大次数/分钟
    @Value("${openApi.ipIllegallyMin}")
    private Integer ipIllegallyMin;
    //ip访问不合法最大次数/天
    @Value("${openApi.ipIllegallyDay}")
    private Integer ipIllegallyDay;
    //IP访问最大次数/分钟
    @Value("${openApi.ipAccessNumMin}")
    private Integer ipAccessNumMin;
    //IP访问最大次数/天
    @Value("${openApi.ipAccessNumDay}")
    private Integer ipAccessNumDay;

    /*----客户端调用----*/
    //ip访问不合法最大次数/分钟
    @Value("${openApi.ipIllegallyLoginMin}")
    private Integer ipIllegallyLoginMin;
    //ip访问不合法最大次数/天
    @Value("${openApi.ipIllegallyLoginDay}")
    private Integer ipIllegallyLoginDay;
    //IP访问最大次数/分钟
    @Value("${openApi.ipAccessNumLoginMin}")
    private Integer ipAccessNumLoginMin;
    //IP访问最大次数/天
    @Value("${openApi.ipAccessNumLoginDay}")
    private Integer ipAccessNumLoginDay;


    //getToken接口token存活时间
    @Value("${openApi.getTokenTTL}")
    private Long getTokenTTL;
    //token 头部拼接
    @Value("${openApi.tokenHead}")
    private String tokenHead;
    //ucode 存活时间
    @Value("${openApi.ucodeTTL}")
    private Long ucodeTTL;
}
