package org.rcisoft.openapi.api.controller;

import com.alipay.api.internal.util.codec.Base64;
import org.rcisoft.openapi.api.entity.InVo;
import org.rcisoft.openapi.api.log.ApiLogAnno;

import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.openapi.api.service.OpenApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.security.spec.X509EncodedKeySpec;

@RestController
@RequestMapping("/open/api")
public class OpenApiController {

    @Autowired
    private OpenApiService openApiServiceImpl;
    /**
     *  验证token获取
     * */
    @ApiLogAnno(title = "api-获取验证token", businessType = CyLogTypeEnum.OTHER)
    @PostMapping("/getToken")
    public CyResult getToken(HttpServletRequest request, HttpServletResponse response,@RequestBody InVo inVo){
        return openApiServiceImpl.getToken(request,response,inVo.getSign());
    }

    /**
     * Ucode获取
     * */
    @ApiLogAnno(title = "api-Ucode获取", businessType = CyLogTypeEnum.OTHER)
    @PostMapping("/getUcode")
    public CyResult getUcode(HttpServletRequest request, HttpServletResponse response,@RequestBody InVo inVo){
        return openApiServiceImpl.getUcode(request,response,inVo.getSign());
    }

    /**
     * 模拟登录
     * */
    @ApiLogAnno(title = "api-模拟登录", businessType = CyLogTypeEnum.OTHER)
    @GetMapping("/login")
    public CyResult login(HttpServletRequest request, HttpServletResponse response,String uc){
        return openApiServiceImpl.login(request,response,uc);
    }








}
