package org.rcisoft.openapi.api.log;


import org.rcisoft.core.operlog.enums.CyLogCliTypeEnum;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;

import java.lang.annotation.*;

/**
 * 自定义操作日志记录注解
 *
 * @author cy
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ApiLogAnno {
    /**
     * 模块
     */
    public String title() default "";

    /**
     * 功能
     */
    public CyLogTypeEnum businessType() default CyLogTypeEnum.OTHER;

    /**
     * 操作人类别
     */
    public CyLogCliTypeEnum operatorType() default CyLogCliTypeEnum.MANAGE;

    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;
}
