package org.rcisoft.openapi.api.log;

import org.rcisoft.core.component.CySpringBeanComp;
import org.rcisoft.core.util.CyAddressUtils;
import org.rcisoft.openapi.openapilog.entity.OpenApiLog;
import org.rcisoft.openapi.openapilog.service.OpenApiLogService;
import org.rcisoft.sys.log.entity.SysErrorLog;
import org.rcisoft.sys.log.entity.SysOperLog;
import org.rcisoft.sys.log.service.SysErrorLogService;
import org.rcisoft.sys.log.service.SysOperLogService;

import java.util.TimerTask;

public class OpenApiAsyncFactory {
    /**
     * 操作日志记录
     *
     * @param openApiLog 操作日志信息
     * @return 任务task
     */
    public static TimerTask recordOper(final OpenApiLog openApiLog) {
        return new TimerTask() {
            @Override
            public void run() {
                CySpringBeanComp.getBean(OpenApiLogService.class).persist(openApiLog);
            }
        };
    }

    /**
     * 异常日志记录
     *
     * @param openApiLog 操作日志信息
     * @return 任务task
     */
    public static TimerTask recordError(final OpenApiLog openApiLog) {
        return new TimerTask() {
            @Override
            public void run() {
                // 远程查询操作地点
                CySpringBeanComp.getBean(OpenApiLogService.class).persist(openApiLog);
            }
        };
    }







}
