package org.rcisoft.openapi.api.redisconfig;

public enum RedisKeyDisposition {

    //服务器
    //Ip访问不合法 分钟    固定60秒
    OPEN_API_IP_ILLEGALLY_MIN("OPEN_API_IP_ILLEGALLY_MIN:"),
    //Ip访问不合法 天     当天23.59.59
    OPEN_API_IP_ILLEGALLY_DAY("OPEN_API_IP_ILLEGALLY_DAY:"),
    //Ip访问频繁 分钟
    OPEN_API_IP_ACCESS_NUM_MIN("OPEN_API_IP_FREQUENTLY_MIN:"),
    //Ip访问频繁 天
    OPEN_API_IP_ACCESS_NUM_DAY("OPEN_API_IP_FREQUENTLY_DAY:"),

    //客户端
    //Ip访问不合法 分钟    固定60秒
    OPEN_API_IP_ILLEGALLY_LOGIN_MIN("OPEN_API_IP_ILLEGALLY_LOGIN_MIN:"),
    //Ip访问不合法 天     当天23.59.59
    OPEN_API_IP_ILLEGALLY_LOGIN_DAY("OPEN_API_IP_ILLEGALLY_LOGIN_DAY:"),
    //Ip访问频繁 分钟
    OPEN_API_IP_ACCESS_NUM_LOGIN_MIN("OPEN_API_IP_FREQUENTLY_LOGIN_MIN:"),
    //Ip访问频繁 天
    OPEN_API_IP_ACCESS_NUM_LOGIN_DAY("OPEN_API_IP_FREQUENTLY_LOGIN_DAY:"),

    //Get_token成功->存储
    OPEN_API_IP_GEI_TOKEN("OPEN_API_IP_GEI_TOKEN:"),
    //ucode存储
    OPEN_API_UCODE("OPEN_API_UCODE:"),
    //ucode登录用户存贮
    OPEN_API_UCODE_USER("OPEN_API_UCODE_USER:"),
    //ucode绑定信息存储
    OPEN_API_UCODE_BIND("OPEN_API_UCODE_BIND:"),
    //正常登录
    LOGIN_USER_TOKEN("LOGIN_USER_TOKEN:"),
    ;

    private String key;

    RedisKeyDisposition() {
    }

    RedisKeyDisposition(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }
}
