package org.rcisoft.openapi.api.util;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.openapi.api.cons.OpenApiCons;
import org.rcisoft.openapi.api.redisconfig.RedisSetKeyValue;
import org.rcisoft.core.exception.CyServiceException;
import org.rcisoft.core.util.CyRSAUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;

/**
 * @author Liushuaiyang
 */
@Component
@Transactional(readOnly = true, propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class EncryptionDecrypt {
    @Autowired
    RedisSetKeyValue redisSetKeyValue;
    /**
     * 解密处理并返回
     * */
    public  HashMap<String,String> decrypt(HttpServletRequest request, String apiSecretKey, String sign) {
        try{
            String json = CyRSAUtil.decryptByPrivateKey(apiSecretKey, sign);
            //将json转成HashMap
            HashMap hashMap = JSONObject.parseObject(json, HashMap.class);
            return hashMap;
        }catch (Exception e){
            redisSetKeyValue.accessIsNotLegal(request);
            throw new CyServiceException(OpenApiCons.DATA_DECRYPTION_FAILED_OR_COMPARISON_FAILED);
        }
    }
}
