package org.rcisoft.openapi.api.util;

import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.temporal.ChronoUnit;

public class TimeUtil {

    /**
     * 获得当前时间到当天晚23：59：59的秒数 （long）
     * */
    public static long getSecondsToTomorrow() {
        // 获取当前时间
        LocalDateTime now = LocalDateTime.now();
        // 设置当天的午夜时间（即今天的0:00:00）
        LocalDateTime midnight = LocalDateTime.of(now.toLocalDate(), LocalTime.MIDNIGHT);
        // 设置当天的23:59:59时间
        LocalDateTime endOfDay = LocalDateTime.of(now.toLocalDate(), LocalTime.of(23, 59, 59));
        // 计算当前时间距离午夜的秒数
        return now.until(endOfDay, ChronoUnit.SECONDS);
    }

}
