package org.rcisoft.openapi.iaminstitution.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
* Created with cy on 2024年7月19日 下午1:57:38.
*/
@Data
@TableName("open_api_iam_institution")
public class IamInstitution  extends CyIdIncreEntity<IamInstitution> {


     /**
     * @desc 组织机构
     * @column organizational_structure
     * @default
     */
     @Excel(name = "组织机构", orderNum = "0", width = 20)
     private String organizationalStructure;

     /**
     * @desc 机构编号
     * @column Institution_code
     * @default
     */
     @Excel(name = "机构编号", orderNum = "1", width = 20)
     private String institutionCode;

     /**
     * @desc
     * @column access_key
     * @default
     */
     @Excel(name = "accessKey", orderNum = "2", width = 20)
     private String accessKey;

     /**
     * @desc
     * @column secret_key
     * @default
     */
     @Excel(name = "secretKey", orderNum = "3", width = 20)
     private String secretKey;

     /**
     * @desc
     * @column api_pub_key
     * @default
     */
     @Excel(name = "apiPubKey", orderNum = "4", width = 20)
     private String apiPubKey;

     /**
     * @desc
     * @column api_secret_key
     * @default
     */
     @Excel(name = "apiSecretKey", orderNum = "5", width = 20)
     private String apiSecretKey;

     /**
     * @desc ips ,分隔
     * @column ips
     * @default
     */
     @Excel(name = "ips ,分隔", orderNum = "6", width = 20)
     private String ips;

     /**
      * 开始时间
      */

     @Excel(name = "开始时间", orderNum = "0", width = 20, format = "YYYY-MM-DD HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date startTime;
     /**
      * 结束时间
      */

     @Excel(name = "结束时间", orderNum = "0", width = 20, format = "YYYY-MM-DD HH:mm:ss")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date endTime;

     /**
      * 单位id
      * */
     private Integer unitId;


}

