package org.rcisoft.openapi.iaminstitution.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.openapi.iaminstitution.entity.IamInstitution;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年7月19日 下午1:57:38.
 */
public interface IamInstitutionService {

    /**
    * 保存 open机构表
    * @param iamInstitution
    * @return
    */
    CyPersistModel persist(IamInstitution iamInstitution);

    /**
    * 删除 open机构表
    * @param iamInstitution
    * @return
    */
    CyPersistModel remove(IamInstitution iamInstitution);

    /**
    * 逻辑删除 open机构表
    * @param iamInstitution
    * @return
    */
    CyPersistModel removeLogical(IamInstitution iamInstitution);

    /**
    * 修改 open机构表
    * @param iamInstitution
    * @return
    */
    CyPersistModel merge(IamInstitution iamInstitution);

    /**
    * 根据id查询 open机构表
    * @param id
    * @return
    */
    IamInstitution findById(int id);

    /**
    * 分页查询 open机构表
    * @param iamInstitution
    * @return
    */
    IPage<IamInstitution> findAllByPagination(CyPageInfo<IamInstitution> paginationUtility,
              IamInstitution iamInstitution);


    /**
    * 查询list open机构表
    * @param iamInstitution
    * @return
    */
    List<IamInstitution> findAll(IamInstitution iamInstitution);


    /**
    * 导出open机构表
    * @return
    */
    List<IamInstitution> export(IamInstitution iamInstitution);


    /**
     * 查询ip对应的机构信息  服务器id必唯一
     * */
    IamInstitution findByIp( String ip);
}
