package org.rcisoft.openapi.openapilog.entity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.Date;

/**
* Created with cy on 2024年7月19日 下午1:57:38.
*/
@Data
@TableName("open_api_log")
public class OpenApiLog  extends CyIdIncreEntity<OpenApiLog> {


     /**
     * @desc ip
     * @column ip
     * @default
     */
     @Excel(name = "ip", orderNum = "0", width = 20)
     private String ip;

     /**
     * @desc 模块标题
     * @column title
     * @default
     */
     @Excel(name = "模块标题", orderNum = "1", width = 20)
     private String title;

     /**
     * @desc 业务类型（0其他 1 新增 2修改 3删除...）
     * @column business_type
     * @default
     */
     @Excel(name = "业务类型（0其他 1 新增 2修改 3删除...）", orderNum = "2", width = 20)
     private String businessType;

     /**
     * @desc 方法名称
     * @column method
     * @default
     */
     @Excel(name = "方法名称", orderNum = "3", width = 20)
     private String method;

     /**
     * @desc 请求方式
     * @column request
     * @default
     */
     @Excel(name = "请求方式", orderNum = "4", width = 20)
     private String request;

     /**
     * @desc 机构
     * @column organizational_structure
     * @default
     */
     @Excel(name = "机构", orderNum = "5", width = 20)
     private String organizationalStructure;

     /**
     * @desc 机构编码
     * @column Institution_code
     * @default
     */
     @Excel(name = "机构编码", orderNum = "6", width = 20)
     private String institutionCode;

     /**
     * @desc 请求参数
     * @column request_data
     * @default
     */
     @Excel(name = "请求参数", orderNum = "7", width = 20)
     private String requestData;
     /**
      * 返回参数
      * */
     @Excel(name = "返回参数", orderNum = "10", width = 20)
     private String responseData;

     /**
     * @desc 响应
     * @column code
     * @default
     */
     @Excel(name = "响应", orderNum = "8", width = 20)
     private String errorMessage;

     /**
     * @desc 请求时间
     * @column request_time
     * @default
     */
//     @JsonFormat(
//             pattern = "yyyy-MM-DD HH:mm:ss"
//     )
     @Excel(name = "请求时间", orderNum = "9", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date requestTime;

     /**
      * 开始时间
      * */
//     @JsonFormat(
//             pattern = "yyyy-MM-DD HH:mm:ss"
//     )
     @TableField(exist = false)
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date startTime;
     /**
      * 结束时间
      * */
//     @JsonFormat(
//             pattern = "yyyy-MM-dd"
//     )
     @TableField(exist = false)
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date endTime;

}

