package org.rcisoft.openapi.openapilog.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.aspectj.lang.JoinPoint;
import org.rcisoft.openapi.api.log.ApiLogAnno;
import org.rcisoft.openapi.openapilog.entity.OpenApiLog;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年7月19日 下午1:57:38.
 */
public interface OpenApiLogService {

    /**
    * 保存 开放api操作日志
    * @param openApiLog
    * @return
    */
    CyPersistModel persist(OpenApiLog openApiLog);

    /**
    * 删除 开放api操作日志
    * @param openApiLog
    * @return
    */
    CyPersistModel remove(OpenApiLog openApiLog);

    /**
    * 逻辑删除 开放api操作日志
    * @param openApiLog
    * @return
    */
    CyPersistModel removeLogical(OpenApiLog openApiLog);

    /**
    * 修改 开放api操作日志
    * @param openApiLog
    * @return
    */
    CyPersistModel merge(OpenApiLog openApiLog);

    /**
    * 根据id查询 开放api操作日志
    * @param id
    * @return
    */
    OpenApiLog findById(int id);

    /**
    * 分页查询 开放api操作日志
    * @param openApiLog
    * @return
    */
    IPage<OpenApiLog> findAllByPagination(CyPageInfo<OpenApiLog> paginationUtility,
              OpenApiLog openApiLog);


    /**
    * 查询list 开放api操作日志
    * @param openApiLog
    * @return
    */
    List<OpenApiLog> findAll(OpenApiLog openApiLog);


    /**
    * 导出开放api操作日志
    * @return
    */
    List<OpenApiLog> export(OpenApiLog openApiLog);

    void keepALog(ApiLogAnno controllerLog, JoinPoint joinPoint, Exception e, Object jsonResult);
}
