package org.rcisoft.pc.pcgroup.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.util.Date;
/**
 * Created with cy on 2024年4月10日 下午4:20:18.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcGroupCourseDTO extends CyIdIncreEntity<PcGroupCourseDTO> {


    private static final long serialVersionUID = -4327021174023243830L;
    /**
     * @desc 小组ID
     * @column groupId
     * @default
     */
    @ApiModelProperty(name = "groupId", value = "小组ID", required = false, dataType = "varchar")
    private String groupId;
    /**
     * @desc 课程ID
     * @column lessonId
     * @default
     */
    @ApiModelProperty(name = "lessonId", value = "课程ID", required = false, dataType = "varchar")
    private String lessonId;

    /**
     * 用户名
     */
    @ApiModelProperty(name = "nickName", value = "用户名", required = false, dataType = "varchar")
    private String nickName;

    /**
     * 登录名
     */
    @ApiModelProperty(name = "username", value = "登录名", required = false, dataType = "varchar")
    private String username;

    /**
     * 学习进度
     */
    @ApiModelProperty(name = "studySchedule", value = "学习进度", required = false, dataType = "varchar")
    private String studySchedule;

    /**
     * 课程名称
     */
    @ApiModelProperty(name = "lessonName", value = "课程名称", required = false, dataType = "varchar")
    private String lessonName;

    /**
     * 讲师名称
     */
    @ApiModelProperty(name = "teacherName", value = "讲师名称", required = false, dataType = "varchar")
    private String teacherName;
    /**
     * 完成时间
     */
    @ApiModelProperty(name = "completeDate", value = "完成时间", required = false)
    private Date completeDate;
}

