package org.rcisoft.pc.pcgroup.dto;

import com.mysql.cj.x.protobuf.MysqlxDatatypes.Scalar.String;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * Created with cy on 2024年4月10日 下午4:20:18.
 * @author 11528
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcGroupDetailsDTO extends CyIdIncreEntity<PcGroupDetailsDTO> {

    private static final long serialVersionUID = -4327021174023243830L;
    @ApiModelProperty(name = "id", value = "小组ID", required = false, dataType = "varchar")
    private String id;

    /**
     * @desc 小组名称
     * @column name
     * @default
     */
    @ApiModelProperty(name = "name", value = "小组名称", required = false, dataType = "varchar")
    private String name;
    /**
     * @desc 所属单位
     * @column unit
     * @default
     */
    @ApiModelProperty(name = "unit", value = "所属单位", required = false, dataType = "varchar")
    private String unit;

    /**
     * 小组人数
     */
    @ApiModelProperty(name = "personCount", value = "小组人数", required = false, dataType = "Integer")
    private Integer personCount;

    /**
     * 学习课程数
     */
    @ApiModelProperty(name = "courseCount", value = "学习课程数", required = false, dataType = "Integer")
    private Integer courseCount;

    /**
     * 学习完成课程数
     */
    @ApiModelProperty(name = "courseCompletedCount", value = "学习完成课程数", required = false, dataType = "Integer")
    private Integer courseCompletedCount;

    /**
     * 学习完成课时数
     */
    @ApiModelProperty(name = "classHourCount", value = "学习完成课时数", required = false, dataType = "Integer")
    private Integer classHourCount;

    /**
     * 学习完成人数
     */
    @ApiModelProperty(name = "personCompletedCount", value = "学习完成人数", required = false, dataType = "Integer")
    private Integer personCompletedCount;
}

