package org.rcisoft.pc.pcgroup.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2024年4月10日 下午4:20:18.
 */
@Data
@TableName("pc_group")
public class PcGroup extends CyIdIncreEntity<PcGroup> {


    /**
     * @desc 小组名称
     * @column name
     * @default
     */
    @Excel(name = "小组名称", orderNum = "0", width = 20)
    private String name;
    /**
     * @desc 所属单位
     * @column unit
     * @default
     */
    private String unit;

    // 以下为自定义字段
    //组员名称
    @TableField(exist = false)
    private String groupNames;
    //组员ids
    @TableField(exist = false)
    private String groupIds;
    //组长名称
    @TableField(exist = false)
    private String groupLeaderNames;
    //组长ids
    @TableField(exist = false)
    private String groupLeaderIds;
    //组员筛选项
    @TableField(exist = false)
    private String groupName;
    //组长筛选项
    @TableField(exist = false)
    private String groupLeaderName;

    //组员idList
    @TableField(exist = false)
    private  List<Integer> groupIdList;
    //组长idList
    @TableField(exist = false)
    private  List<Integer> groupLeaderIdList;

}

