package org.rcisoft.pc.pcgroup.service;


import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.pc.pcgroup.dto.BLessonDTO;
import org.rcisoft.pc.pcgroup.dto.BLessonPersonDTO;
import org.rcisoft.pc.pcgroup.dto.GroupCourseDTO;
import org.rcisoft.pc.pcgroup.dto.GroupPersonDTO;
import org.rcisoft.pc.pcgroup.dto.GroupRecordDTO;
import org.rcisoft.pc.pcgroup.dto.GroupUserDTO;
import org.rcisoft.pc.pcgroup.dto.PcGroupCourseDTO;
import org.rcisoft.pc.pcgroup.dto.PcGroupDTO;
import org.rcisoft.pc.pcgroup.entity.PcGroup;

/**
 * Created by cy on 2024年4月10日 下午4:20:18.
 */
public interface PcGroupService {

    /**
     * 保存 小组表
     *
     * @param pcGroup
     * @return
     */
    CyPersistModel persist(PcGroup pcGroup);

    /**
     * 删除 小组表
     *
     * @param pcGroup
     * @return
     */
    CyPersistModel remove(PcGroup pcGroup);

    /**
     * 逻辑删除 小组表
     *
     * @param pcGroup
     * @return
     */
    CyPersistModel removeLogical(PcGroup pcGroup);

    /**
     * 修改 小组表
     *
     * @param pcGroup
     * @return
     */
    CyPersistModel merge(PcGroup pcGroup);

    /**
     * 根据id查询 小组表
     *
     * @param id
     * @return
     */
    PcGroup findById(int id);

    /**
     * 分页查询 小组表
     *
     * @param pcGroup
     * @return
     */
    IPage<PcGroup> findAllByPagination(CyPageInfo<PcGroup> paginationUtility,
                                       PcGroup pcGroup);


    /**
     * 查询list 小组表
     *
     * @param pcGroup
     * @return
     */
    List<PcGroup> findAll(PcGroup pcGroup);

    List<PcGroup> listAllLinkGroup(PcGroup pcGroup);


    /**
     * 导出小组表
     *
     * @return
     */
    List<PcGroup> export(PcGroup pcGroup);

    /**
     * 数据统计小组分页查询
     *
     * @param groupName
     * @return
     */
    IPage<PcGroupDTO> groupListAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    /**
     * 查询数据统计小组组内人数详情
     *
     * @return
     */
    IPage<GroupPersonDTO> groupDetailsAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    IPage<GroupCourseDTO> groupCourseAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    IPage<GroupRecordDTO> groupRecordsAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    /**
     * 查询考核页面分页查询
     *
     * @param paginationUtility
     * @param bLessonDTO
     * @return
     */
    IPage<BLessonDTO> courseExamineAll(CyPageInfo<PcGroup> paginationUtility, BLessonDTO bLessonDTO);

    /**
     * 考核人数
     *
     * @param paginationUtility
     * @param bLessonDTO
     * @return
     */
    IPage<BLessonPersonDTO> personExamine(CyPageInfo<PcGroup> paginationUtility, BLessonPersonDTO bLessonDTO);

    /**
     * 满分人数
     *
     * @param paginationUtility
     * @param bLessonDTO
     * @return
     */
    IPage<BLessonPersonDTO> examineFullMarks(CyPageInfo<PcGroup> paginationUtility, BLessonPersonDTO bLessonDTO);

    /**
     * 及格人数
     *
     * @param paginationUtility
     * @param bLessonDTO
     * @return
     */
    IPage<BLessonPersonDTO> examineFullPass(CyPageInfo<PcGroup> paginationUtility, BLessonPersonDTO bLessonDTO);

    /**
     * 未完成课程
     *
     * @param paginationUtility
     * @param pcGroup
     * @return
     */
    IPage<PcGroupCourseDTO> courseIncompleteAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    /**
     * 已完成
     *
     * @param paginationUtility
     * @param pcGroup
     * @return
     */
    IPage<PcGroupCourseDTO> courseCompletedAll(CyPageInfo<PcGroup> paginationUtility, PcGroupDTO pcGroup);

    IPage<GroupUserDTO> groupUser(CyPageInfo<PcGroup> paginationUtility, GroupUserDTO groupUserDTO);

    void identityOfTheTeamLeader(PcGroup pcGroup);
}
