package org.rcisoft.pc.pcgroupuser.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.pc.pcgroupuser.entity.PcGroupUser;

import java.util.List;

/**
 * Created by cy on 2024年4月10日 下午4:20:18.
 */
public interface PcGroupUserService {

    /**
    * 保存 小组用户关联表
    * @param pcGroupUser
    * @return
    */
    CyPersistModel persist(PcGroupUser pcGroupUser);

    /**
    * 删除 小组用户关联表
    * @param pcGroupUser
    * @return
    */
    CyPersistModel remove(PcGroupUser pcGroupUser);

    /**
    * 修改 小组用户关联表
    * @param pcGroupUser
    * @return
    */
    CyPersistModel merge(PcGroupUser pcGroupUser);

    /**
    * 根据id查询 小组用户关联表
    * @param id
    * @return
    */
    PcGroupUser findById(int id);

    /**
    * 分页查询 小组用户关联表
    * @param pcGroupUser
    * @return
    */
    IPage<PcGroupUser> findAllByPagination(CyPageInfo<PcGroupUser> paginationUtility,
                                           PcGroupUser pcGroupUser);


    /**
    * 查询list 小组用户关联表
    * @param pcGroupUser
    * @return
    */
    List<PcGroupUser> findAll(PcGroupUser pcGroupUser);


    /**
    * 导出小组用户关联表
    * @return
    */
    List<PcGroupUser> export(PcGroupUser pcGroupUser);

}
