package org.rcisoft.pc.pcrole.controller;


/*固定导入*/
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.rcisoft.pc.pcrole.entity.PcRole;
import org.rcisoft.pc.pcrole.service.PcRoleService;
import org.springframework.validation.BindingResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.util.CyUserUtil;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.exception.CyServiceException;
import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;

import java.util.List;

/**
* Created by cy on 2024年4月9日 上午10:32:58.
*/
@RestController
@RequestMapping("/pcrole")
public class PcRoleController extends CyPaginationController<PcRole> {


    @Autowired
    private PcRoleService pcRoleServiceImpl;

    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:add')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-新增前台_角色管理", businessType = CyLogTypeEnum.INSERT)
    @ApiOperation(value="添加前台_角色管理", notes="添加前台_角色管理")
    @PostMapping(value = "/add")
    public CyResult add(@RequestBody PcRole pcRole, BindingResult bindingResult) {
        CyPersistModel data = pcRoleServiceImpl.persist(pcRole);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcRole);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:delete')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-删除前台_角色管理", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="逻辑删除前台_角色管理", notes="逻辑删除前台_角色管理")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/deleteLogical/{businessId:\\w+}")
    public CyResult deleteLogical(@PathVariable int businessId,PcRole pcRole) {
        pcRole.setBusinessId(businessId);
        CyPersistModel data = pcRoleServiceImpl.removeLogical(pcRole);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }
    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:delete')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-删除前台_角色管理", businessType = CyLogTypeEnum.DELETE)
    @ApiOperation(value="删除前台_角色管理", notes="删除前台_角色管理")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @DeleteMapping("/delete/{businessId:\\w+}")
    public CyResult delete(@PathVariable int businessId,PcRole pcRole) {
        pcRole.setBusinessId(businessId);
        CyPersistModel data = pcRoleServiceImpl.remove(pcRole);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        businessId);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:update')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-修改前台_角色管理", businessType = CyLogTypeEnum.UPDATE)
    @ApiOperation(value="修改前台_角色管理", notes="修改前台_角色管理")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = false, dataType = "varchar")})
    @PutMapping("/update/{businessId:\\w+}")
    public CyResult update(@PathVariable int businessId, @RequestBody PcRole pcRole, BindingResult bindingResult) {
        pcRole.setBusinessId(businessId);
        CyPersistModel data = pcRoleServiceImpl.merge(pcRole);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcRole);
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:query')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-查询前台_角色管理", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询单一前台_角色管理", notes="查询单一前台_角色管理")
    @ApiImplicitParams({@ApiImplicitParam(name = "businessId", value = "businessId", required = true, dataType = "varchar")})
    @GetMapping("/detail/{businessId:\\w+}")
    public CyResult detail(@PathVariable int businessId) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        pcRoleServiceImpl.findById(businessId));
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:list')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-查询前台_角色管理", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="查询前台_角色管理集合", notes="查询前台_角色管理集合")
    @GetMapping(value = "/listAll")
    public CyResult listAll(PcRole pcRole) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
            pcRoleServiceImpl.findAll(pcRole));
    }

    //@PreAuthorize("@cyPerm.hasPerm('sys:ole:list')")
    @CyOpeLogAnno(title = "system-前台_角色管理管理-查询前台_角色管理", businessType = CyLogTypeEnum.QUERY)
    @ApiOperation(value="分页查询前台_角色管理集合", notes="分页查询前台_角色管理集合")
    @GetMapping(value = "/list")
    public CyGridModel listByPagination(PcRole pcRole) {
        pcRoleServiceImpl.findAllByPagination(getPaginationUtility(), pcRole);
        return getGridModelResponse();
    }

    @CyOpeLogAnno(title = "system-前台_角色管理管理-查询前台_角色管理", businessType = CyLogTypeEnum.EXPORT)
    @ApiOperation(value = "导出前台_角色管理信息", notes = "导出前台_角色管理信息")
    @GetMapping(value = "/export")
    public void outPcRole(HttpServletResponse response,PcRole pcRole,@PathVariable @RequestParam(defaultValue = "0") String excelId) {
        String excelName="";
        switch(excelId){
            case "0": excelName="前台_角色管理信息.xls";break;
            case "1": excelName="前台_角色管理信息.xlsx";break;
            case "2": excelName="前台_角色管理信息.csv";break;
        }
        List<PcRole> pcRoleList = pcRoleServiceImpl.export(pcRole);
        CyEpExcelUtil.exportExcel(pcRoleList, "前台_角色管理信息", "前台_角色管理信息", PcRole.class, excelName, response);
    }
}
