package org.rcisoft.pc.pcrolelesson.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;
import org.rcisoft.core.entity.CyIdEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class PcRoleBlessonDTO extends CyIdEntity {
    /**
     * @desc 课程id
     * @column lesson_name
     * @default
     */
    private String lessonId;
    /**
     * @desc 课程名称
     * @column lesson_name
     * @default
     */
    @Excel(name = "课程名称", orderNum = "0", width = 20)
    private String lessonName;

    /**
     * @desc 课程方案
     * @column class_plan
     * @default
     */
    @Excel(name = "课程方案", orderNum = "2", width = 20)
    private String classPlan;

    /**
     * @desc 岗位分类
     * @column job_classify
     * @default
     */
    @Excel(name = "岗位分类", orderNum = "3", width = 20)
    private String jobClassify;

    /**
     * @desc 技术分类
     * @column tec_classify
     * @default
     */
    @Excel(name = "技术分类", orderNum = "4", width = 20)
    private String tecClassify;

    /**
     * @desc 难度等级
     * @column difficulty_classify
     * @default
     */
    @Excel(name = "难度等级", orderNum = "5", width = 20)
    private String difficultyClassify;

    /**
     * @desc 课程讲师
     * @column lesson_tea_name
     * @default
     */
    @Excel(name = "课程讲师", orderNum = "7", width = 20)
    private Integer lessonTeaName;


    /**
     * @desc 默认封面图片url
     * @column default_url
     * @default
     */
    @Excel(name = "默认封面图片url", orderNum = "13", width = 20)
    private String defaultUrl;
    //课程讲师
    @TableField(exist = false)
    private String teacherName;

    //单位id
    private String deptId;

    //角色id
    @TableField(exist = false)
    private String pcRoleId;


    //剩余日期
    @TableField(exist = false)
    private Integer remainingDays;

    @Excel(name = "角色开始学习日期", orderNum = "2", width = 20, format = "yyyy-MM-dd")
    @ApiModelProperty(
            name = "startTime",
            value = "角色开始学习日期",
            required = true,
            dataType = "dataTime"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @Excel(name = "角色结束学习日期", orderNum = "3", width = 20, format = "yyyy-MM-dd")
    @ApiModelProperty(
            name = "endTime",
            value = "角色结束学习日期",
            required = true,
            dataType = "dataTime"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * @desc 开始试用时间
     * @column begin_trial_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @Excel(name = "开始试用时间", orderNum = "5", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date beginTrialTime;

    /**
     * @desc 结束试用时间
     * @column end_trial_time
     * @default
     */
    @JsonFormat(
            pattern = "yyyy-MM-dd"
    )
    @Excel(name = "结束试用时间", orderNum = "6", width = 20, format = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTrialTime;

    //难度标签
    @TableField(exist = false)
    private String difficultyClassifyLabels;

    /**
     * @desc 角色id
     * @column roleId
     * @default
     */
    private String roleIds;
    /**
     * @desc 角色id集合
     * @column roleIdList
     * @default
     */
    private List<String> roleIdList;
    /**
     * @desc 角色名称
     * @column roleName
     * @default
     */
    private String roleName;

    /**
     * 是否付费
     */
    private Integer isPay;
}
