package org.rcisoft.pc.pcrolelesson.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.google.common.collect.Lists;
import lombok.Data;
import org.rcisoft.sys.wbac.menu.entity.SysMenu;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class PcRoleUnitUser {

    //用户id
    private String userId;

    //单位id
    private String deptId;

    //角色id
    @TableField(exist = false)
    private String pcRoleId;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "姓名", orderNum = "1", width = 20)
    private String name;

    /**
     * @desc 用户邮箱
     * @column email
     * @default
     */
//     @Excel(name = "用户邮箱", orderNum = "4", width = 20)
    private String email;

    /**
     * @desc 手机号码
     * @column phone
     * @default
     */
    @Excel(name = "手机号码", orderNum = "3", width = 20)
    private String phone;

    /**
     * @desc 用户性别（0男 1女 2未知）
     * @column sex
     * @default
     */
    @Excel(name = "用户性别", orderNum = "2", width = 20)
    private String sex;

    /**
     * @desc 头像地址
     * @column avatar
     * @default
     */
//     @Excel(name = "头像地址", orderNum = "9", width = 20)
    private String avatar;

    /**
     * @desc 身份（1管理员;2单位用户;3个人用户）
     * @column identity
     * @default
     */
//     @Excel(name = "身份（1管理员;2单位用户;3个人用户）", orderNum = "13", width = 20)
    private String identity;


    /**
     * @desc 地址
     * @column address
     * @default
     */
//     @Excel(name = "地址", orderNum = "19", width = 20)
    private String address;


    //职位
    @Excel(name = "职业/专业", orderNum = "4", width = 20)
    private String position;
}
