package org.rcisoft.pc.pcrolelesson.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
* Created with cy on 2024年4月9日 下午1:42:43.
*/
@Data
@TableName("pc_role_lesson")
public class PcRoleLesson  extends CyIdIncreEntity<PcRoleLesson> {


     /**
     * @desc 前台角色id
     * @column pc_role_id
     * @default
     */
     @Excel(name = "前台角色id", orderNum = "0", width = 20)
     private Integer pcRoleId;

     /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
     @Excel(name = "课程id", orderNum = "1", width = 20)
     private String lessonId;

     @Excel(name = "开始日期", orderNum = "2", width = 20, format = "yyyy-MM-dd")
     @ApiModelProperty(
             name = "startTime",
             value = "开始日期",
             required = true,
             dataType = "dataTime"
     )
     @JsonFormat(
             pattern = "yyyy-MM-dd"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date startTime;

     @Excel(name = "结束日期", orderNum = "3", width = 20, format = "yyyy-MM-dd")
     @ApiModelProperty(
             name = "endTime",
             value = "结束日期",
             required = true,
             dataType = "dataTime"
     )
     @JsonFormat(
             pattern = "yyyy-MM-dd"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date endTime;

     /**
      * 是否付费
      */
     @TableField(exist = false)
     private Integer isPay;

     @ApiModelProperty(
             name = "beginTrialTime",
             value = "开始日期",
             required = true,
             dataType = "dataTime"
     )
     @JsonFormat(
             pattern = "yyyy-MM-dd"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     @TableField(exist = false)
     private Date beginTrialTime;

     @Excel(name = "结束日期", orderNum = "3", width = 20, format = "yyyy-MM-dd")
     @ApiModelProperty(
             name = "endTrialTime",
             value = "结束日期",
             required = true,
             dataType = "dataTime"
     )
     @JsonFormat(
             pattern = "yyyy-MM-dd"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     @TableField(exist = false)
     private Date endTrialTime;
}

