package org.rcisoft.pc.pcrolelesson.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.blesson.entity.PcBlessonDTO;
import org.rcisoft.pc.pcrolelesson.dto.PcRoleBlessonDTO;
import org.rcisoft.pc.pcrolelesson.entity.PcRoleLesson;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年4月9日 下午1:42:43.
 */
public interface PcRoleLessonService {

    /**
    * 保存 前台角色与课程关联表
    * @param pcRoleLesson
    * @return
    */
    CyPersistModel persist(PcRoleLesson pcRoleLesson);

    /**
    * 删除 前台角色与课程关联表
    * @param pcRoleLesson
    * @return
    */
    CyPersistModel remove(PcRoleLesson pcRoleLesson);

    /**
    * 修改 前台角色与课程关联表
    * @param pcRoleLesson
    * @return
    */
    CyPersistModel merge(PcRoleLesson pcRoleLesson);

    /**
    * 根据id查询 前台角色与课程关联表
    * @param id
    * @return
    */
    PcRoleLesson findById(int id);

    /**
    * 分页查询 前台角色与课程关联表
    * @param pcRoleLesson
    * @return
    */
    IPage<PcRoleLesson> findAllByPagination(CyPageInfo<PcRoleLesson> paginationUtility,
                                            PcRoleLesson pcRoleLesson);


    /**
    * 查询list 前台角色与课程关联表
    * @param pcRoleLesson
    * @return
    */
    List<PcRoleLesson> findAll(PcRoleLesson pcRoleLesson);


    /**
    * 导出前台角色与课程关联表
    * @return
    */
    List<PcRoleLesson> export(PcRoleLesson pcRoleLesson);

    /**
     * 角色查询课程信息
     * @param dto
     * @return
     */
    IPage<PcRoleBlessonDTO> queryCourseByRoleId(CyPageInfo<PcRoleBlessonDTO> paginationUtility,PcRoleBlessonDTO dto);

    /**
     * 角色修改看课时间
     * @param pcRoleLesson
     * @return
     */
    CyPersistModel updateTime(PcRoleLesson pcRoleLesson);

    /**
     * 查询课程中的所有角色
     * @param paginationUtility
     * @param dto
     * @return
     */
    IPage<PcRoleBlessonDTO> queryRole(CyPageInfo<PcRoleBlessonDTO> paginationUtility, PcRoleBlessonDTO dto);

    CyPersistModel updateTimeById(PcRoleBlessonDTO pcRoleLesson);

    CyPersistModel saveRoleLesson(PcRoleLesson pcRoleLesson,Integer unitId,Integer isPay);
}
