package org.rcisoft.pc.pcroleuser.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.pc.pcroleuser.entity.PcRoleUser;

import java.util.List;

/**
 * Created by cy on 2024年4月10日 下午4:20:18.
 */
public interface PcRoleUserService {

    /**
    * 保存 用户和前台角色关联表
    * @param pcRoleUser
    * @return
    */
    CyPersistModel persist(PcRoleUser pcRoleUser);

    /**
    * 删除 用户和前台角色关联表
    * @param pcRoleUser
    * @return
    */
    CyPersistModel remove(PcRoleUser pcRoleUser);

    /**
    * 修改 用户和前台角色关联表
    * @param pcRoleUser
    * @return
    */
    CyPersistModel merge(PcRoleUser pcRoleUser);

    /**
    * 根据id查询 用户和前台角色关联表
    * @param id
    * @return
    */
    PcRoleUser findById(int id);

    /**
    * 分页查询 用户和前台角色关联表
    * @param pcRoleUser
    * @return
    */
    IPage<PcRoleUser> findAllByPagination(CyPageInfo<PcRoleUser> paginationUtility,
                                          PcRoleUser pcRoleUser);


    /**
    * 查询list 用户和前台角色关联表
    * @param pcRoleUser
    * @return
    */
    List<PcRoleUser> findAll(PcRoleUser pcRoleUser);


    /**
    * 导出用户和前台角色关联表
    * @return
    */
    List<PcRoleUser> export(PcRoleUser pcRoleUser);

    /**
     * 批量新增
     * @param pcRoleUser
     * @return
     */
    CyPersistModel addRoleUser(PcRoleUser pcRoleUser);
}
