package org.rcisoft.pc.statistics.lessonStatistics.dao;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.pc.statistics.lessonStatistics.dto.LessonStudyDTO;
import org.rcisoft.pc.statistics.lessonStatistics.entity.LessonStatistics;

import java.util.List;

/**
* Created with cy on 2024年4月17日 下午3:50:59.
*/

public interface LessonStatisticsRepository extends CyBaseMapper<LessonStatistics> {


    List<LessonStatistics> queryLessonStatisticss(@Param("entity") LessonStatistics lessonStatistics);

    /**
    * 分页查询 lessonStatistics
    *
    */
    IPage<LessonStatistics> queryLessonStatisticssPaged(CyPageInfo cyPageInfo,@Param("entity") LessonStatistics lessonStatistics);
    /**
     * 根据数据字典统计课程数
     */
    String countLessonByDictData(@Param("tecClassify") String dictData,@Param("unit") String unit);
    /**
     * 学习总人数分页查询
     */
    IPage<LessonStudyDTO> queryLessonStudyDTOPaged(CyPageInfo cyPageInfo, @Param("entity") LessonStudyDTO lessonStudyDTO);
    /**
     * 学习未开始人数查询
     */
    IPage<LessonStudyDTO> queryLessonStudyNotStartPaged(CyPageInfo cyPageInfo, @Param("entity") LessonStudyDTO lessonStudyDTO);
    /**
     * 学习中人数查询
     */
    IPage<LessonStudyDTO> queryLessonStudyingPaged(CyPageInfo cyPageInfo, @Param("entity") LessonStudyDTO lessonStudyDTO);

    /**
     * 学习完成人数查询
     */
    IPage<LessonStudyDTO> queryLessonStudyCompletePaged(CyPageInfo cyPageInfo, @Param("entity") LessonStudyDTO lessonStudyDTO);
    /**
     * 考核完成人数查询
     */
    IPage<LessonStudyDTO> queryLessonStudyExamCompletePaged(CyPageInfo cyPageInfo, @Param("entity") LessonStudyDTO lessonStudyDTO);

}

