package org.rcisoft.pc.statistics.lessonStatistics.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdNotDataEntity;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created with cy on 2024年4月17日 下午3:50:59.
 */
@Data
public class LessonStatistics extends CyIdNotDataEntity<LessonStatistics> {

    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @Excel(name = "用户id", orderNum = "0", width = 20)
    private String userId;

    /**
     * @desc 课程id
     * @column lesson_id
     * @default
     */
    @Excel(name = "课程id", orderNum = "0", width = 20)
    private String lessonId;

    /**
     * @desc
     * @column 课程名称
     * @default
     */
    @Excel(name = "lessonName", orderNum = "1", width = 20)
    private String lessonName;

    /**
     * @desc
     * @column 时长
     * @default
     */
    @Excel(name = "classHour", orderNum = "2", width = 20)
    private Integer classHour;

    /**
     * @desc
     * @column 课程总人数
     * @default
     */
    @Excel(name = "totalNumber", orderNum = "3", width = 20)
    private int totalNumber;

    /**
     * @desc
     * @column 未开始人数
     * @default
     */
    @Excel(name = "notstartedNumber", orderNum = "4", width = 20)
    private int notstartedNumber;

    /**
     * @desc
     * @column 学习中人数
     * @default
     */
    @Excel(name = "learningNumber", orderNum = "5", width = 20)
    private int learningNumber;

    /**
     * @desc
     * @column 已完成人数
     * @default
     */
    @Excel(name = "completedNumber", orderNum = "6", width = 20)
    private int completedNumber;

    /**
     * @desc
     * @column 已考核人数
     * @default
     */
    @Excel(name = "examinedNumber", orderNum = "7", width = 20)
    private int examineNumber;
    /**
     * @desc
     * @column unit
     * @default
     */
    @Excel(name = "unit", orderNum = "8", width = 20)
    private String unit;

    /**
     * 是否考核
     * */
    private String isAppraisal;

}

