package org.rcisoft.pc.statistics.lessonStatistics.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.pc.statistics.lessonStatistics.dto.BarDTO;
import org.rcisoft.pc.statistics.lessonStatistics.dto.LessonStudyDTO;
import org.rcisoft.pc.statistics.lessonStatistics.entity.LessonStatistics;

import java.util.List;

/**
 * Created by cy on 2024年4月17日 下午3:50:59.
 */
public interface LessonStatisticsService {

    /**
    * 保存 
    * @param lessonStatistics
    * @return
    */
    CyPersistModel persist(LessonStatistics lessonStatistics);

    /**
    * 删除 
    * @param lessonStatistics
    * @return
    */
    CyPersistModel remove(LessonStatistics lessonStatistics);

    /**
    * 修改 
    * @param lessonStatistics
    * @return
    */
    CyPersistModel merge(LessonStatistics lessonStatistics);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    LessonStatistics findById(int id);

    /**
    * 分页查询 
    * @param lessonStatistics
    * @return
    */
    IPage<LessonStatistics> findAllByPagination(CyPageInfo<LessonStatistics> paginationUtility,
                                                LessonStatistics lessonStatistics);


    /**
    * 查询list 
    * @param lessonStatistics
    * @return
    */
    List<LessonStatistics> findAll(LessonStatistics lessonStatistics);


    /**
    * 导出
    * @return
    */
    List<LessonStatistics> export(LessonStatistics lessonStatistics);
    /**
     * 查询柱状图
     */
    BarDTO listByBar(BarDTO barDTO);
    /**
     * 学习总人数分页查询
     */
    IPage<LessonStudyDTO> findStudyTotalByPagination(CyPageInfo<LessonStudyDTO> paginationUtility,
                                                     LessonStudyDTO lessonStudyDTO);
    /**
     * 未学习人数分页查询
     */
    IPage<LessonStudyDTO> queryStudyNotStartByPagination(CyPageInfo<LessonStudyDTO> paginationUtility,
                                                       LessonStudyDTO lessonStudyDTO);
    /**
     * 学习中人数分页查询
     */
    IPage<LessonStudyDTO>queryLessonStudyingByPagination(CyPageInfo<LessonStudyDTO> paginationUtility,
                                                       LessonStudyDTO lessonStudyDTO);
    /**
     * 学习完成人数分页查询
     */
    IPage<LessonStudyDTO> queryLessonStudyCompleteByPagination(CyPageInfo<LessonStudyDTO> paginationUtility,
                                                       LessonStudyDTO lessonStudyDTO);
    /**
     * 考核完成人数分页查询
     */
    IPage<LessonStudyDTO> queryLessonStudyExamCompleteByPagination(CyPageInfo<LessonStudyDTO> paginationUtility,
                                                       LessonStudyDTO lessonStudyDTO);

}
