package org.rcisoft.pc.statistics.studentStatistics.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.rcisoft.pc.statistics.studentStatistics.entity.dto.StudentStatisticsDTO;
import org.rcisoft.pc.statistics.studentStatistics.entity.dto.StudentStatisticsInformationDTO;
import org.rcisoft.pc.statistics.studentStatistics.service.StudentStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/studentstatistics")
@Api("学习中心-单位用户-单位管理员-学习中心数据统计课程-学员")
public class StudentStatisticsController {

	@Autowired
	StudentStatisticsService studentStatisticsService;


	@ApiOperation(value="分页查询StudentStatistics集合", notes="分页查询StudentStatistics集合")
	@GetMapping(value = "/list")
	public CyResult listAll(StudentStatisticsDTO studentStatisticsDTO){
		return CyResultGenUtil.builder(new CyPersistModel(1),
			CyMessCons.MESSAGE_ALERT_SUCCESS,
			CyMessCons.MESSAGE_ALERT_ERROR,
			studentStatisticsService.listAll(studentStatisticsDTO));
	}

	@ApiOperation(value = "具体条件查询",notes="具体条件查询")
	@GetMapping(value = "/information")
	public CyResult getInformation(StudentStatisticsInformationDTO studentStatisticsInformationDTO){
		return CyResultGenUtil.builder(new CyPersistModel(1),
			CyMessCons.MESSAGE_ALERT_SUCCESS,
			CyMessCons.MESSAGE_ALERT_ERROR,
			studentStatisticsService.getInformation(studentStatisticsInformationDTO));
	}

}
