package org.rcisoft.pc.statistics.studentStatistics.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.pc.statistics.studentStatistics.entity.dto.StudentStatisticsWithDept;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.*;
import org.rcisoft.pc.statistics.studentStatistics.entity.dto.StudentStatisticsDTO;
import org.rcisoft.pc.statistics.studentStatistics.entity.dto.StudentStatisticsInformationDTO;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.part.*;

import java.util.List;

@Mapper
public interface StudentStatisticsMapper {
    Integer getTotalsRecords(@Param("studentStatisticsWithDept") StudentStatisticsWithDept studentStatisticsWithDept, @Param("businessId") Long businessId);

    Integer getTotalsRecordsByGroup(StudentStatisticsDTO studentStatisticsDTO);

    List<StudentStatisticsPo> getUserList(@Param("businessId") Long businessId, @Param("entity") StudentStatisticsWithDept studentStatisticsDTO, @Param("offset") Integer offset);

    List<GroupName> getGroupName(@Param("entity") List<StudentStatistics> list);

    List<LearningAndLearned> getLessonearntime(@Param("entity") List<StudentStatistics> sysUserTable);

    List<TotalNumber> getTotalClass(@Param("entity") List<StudentStatistics> sysUserTable);

    List<Examed> getExameds(@Param("entity") List<StudentStatistics> sysUserTable);

    List<StudentStatisticsInformationATemp> getInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO, @Param("offset") Integer offset);

    List<StudentStatisticsInformationATemp> getStatus(@Param("entity") List<StudentStatisticsInformationATemp> temp, @Param("buId") Integer businessId);

    Integer getTotalsRecordsInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    Integer getTotalsLearningInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    Integer getTotalsFinishInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    Integer getTotalsStartInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    Integer getTotalsExamedNumber(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    List<StudentStatisticsInformationB> getExamedInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO, @Param("offset") Integer offset);

    Integer getTotalsNotExamedNumber(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO);

    List<StudentStatisticsInformationC> getNotExamedInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO, @Param("offset") Integer offset);

    List<StudentStatisticsInformationD> getFinishInformation(@Param("entity") StudentStatisticsInformationDTO studentStatisticsInformationDTO, @Param("offset") Integer offset);

    StudentStatisticsPo statistics(@Param("entity") StudentStatisticsPo myGroupStatisticsVO);
}
