package org.rcisoft.pc.statistics.studentStatistics.utils;

import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.*;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.part.Examed;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.part.GroupName;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.part.LearningAndLearned;
import org.rcisoft.pc.statistics.studentStatistics.entity.pojo.part.TotalNumber;

import java.util.ArrayList;
import java.util.List;

public class Joint {
	public static List<StudentStatistics> getStudentStatistics(
		List<StudentStatistics> s,
		List<GroupName> g,
		List<LearningAndLearned> l,
		List<TotalNumber> t,
		List<Examed> e
	)
	{
		int size = s.size();
		int flagG = 0;
		int flagL = 0;
		int flagT = 0;
		int flagE = 0;
		for (int i = 0; i < size; i++) {
			StudentStatistics target = s.get(i);
			if (g.size() > flagG){
				GroupName groupName = g.get(flagG);
				if (target.getBusinessId().equals(groupName.getBusinessId())){
					target.setGroupName(groupName.getGroupName());
					flagG++;
				}

			}
			if (l.size() > flagL){
				LearningAndLearned learningAndLearned = l.get(flagL);
				if (target.getBusinessId().equals(learningAndLearned.getBusinessId())){
					target.setLearning(learningAndLearned.getLearning() == null ? 0 : learningAndLearned.getLearning());
					target.setFinish(learningAndLearned.getFinish() == null ? 0 : learningAndLearned.getFinish());
					flagL++;
				}else {
					target.setLearning(0);
					target.setFinish(0);
				}
			}else {
				target.setLearning(0);
				target.setFinish(0);
			}
			if (t.size() > flagT){
				TotalNumber totalNumber = t.get(flagT);
				if (target.getBusinessId().equals(totalNumber.getBusinessId())){
					target.setTotal(totalNumber.getTotal());
					flagT++;
				}else {
					target.setTotal(0);
				}
			}else {
				target.setTotal(0);
			}
			if (e.size() > flagE){
				Examed examed = e.get(flagE);
				if (target.getBusinessId().equals(examed.getBusinessId())){
					target.setExamedNumber(examed.getExamedNumber() == null ? 0 : examed.getExamedNumber());
					target.setNotExamedNumber(examed.getNotExamedNumber() == null ? 0 : examed.getNotExamedNumber());
				}else {
					target.setExamedNumber(0);
					target.setNotExamedNumber(0);
				}
			}else {
				target.setExamedNumber(0);
				target.setNotExamedNumber(0);
			}
			//获取没有开始学的
			int total = target.getTotal() != null ? target.getTotal() : 0;
			//获取正在学/学完的
			int learning = target.getLearning() != null ? target.getLearning() : 0;
			int finish = target.getFinish() != null ? target.getFinish() : 0;
			target.setNotStart(total - learning - finish);
		}
		return s;
	}

	public static List<ClassTable> getInformation(List<StudentStatisticsInformationATemp> t1, List<StudentStatisticsInformationATemp> t2){

		int size = t1.size();
		int flag = 0;
		List<ClassTable> res = new ArrayList<>(size);
		for (int i = 0; i < size; i++) {
			StudentStatisticsInformationATemp target =  t1.get(i);
			target.setClassType("必修");
			if (target.getBusinessId().equals(t2.get(flag).getBusinessId())){
				target.setStatus(t2.get(flag).getStatus());
				flag++;
			}
			StudentStatisticsInformationA data = new StudentStatisticsInformationA();
			data = target;
			res.add(data);
		}
		return res;
	}
	private Joint(){}

	public static List<ClassTable> filterLearning(List<ClassTable> data) {
		int size = data.size();
		List<ClassTable> res = new ArrayList<>();
		for (int i = 0; i < size; i++) {
			StudentStatisticsInformationA target = (StudentStatisticsInformationA) data.get(i);
			if(target.getStatus() != null && !"0".equals(target.getStatus())){
				data.remove(i);
			}else {
				res.add(target);
			}
		}
		return res;
	}

	public static List<ClassTable> filterNotStart(List<ClassTable> data) {
		int size = data.size();
		List<ClassTable> res = new ArrayList<>();
		for (int i = 0; i < size; i++) {
			StudentStatisticsInformationA target = (StudentStatisticsInformationA) data.get(i);
			if(target.getStatus() != null){
				data.remove(i);
			}else {
				res.add(target);
			}
		}
		return res;
	}

	public static List<ClassTable> filterFinish(List<ClassTable> data) {
		int size = data.size();
		List<ClassTable> res = new ArrayList<>();
		for (int i = 0; i < size; i++) {
			StudentStatisticsInformationA target = (StudentStatisticsInformationA) data.get(i);
			if(target.getStatus() != null && !"1".equals(target.getStatus())){
				data.remove(i);
			}else {
				res.add(target);
			}
		}
		return res;
	}

	public static List<ClassTable> filterClassType(List<StudentStatisticsInformationD> data) {
		List<ClassTable> res = new ArrayList<>();
		for (StudentStatisticsInformationD target : data) {
			target.setClassType("必修");
			res.add(target);
		}
		return res;
	}
}
